GNU bug report logs - #35353
26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Sun, 21 Apr 2019 03:07:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 6 May 2019 13:29:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 09:29:37 2019
Received: from localhost ([127.0.0.1]:55906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNdgV-0006Nu-60
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 09:29:37 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:54808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hNdgS-0006Ne-7E
 for 35353 <at> debbugs.gnu.org; Mon, 06 May 2019 09:29:33 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x46DT5Iq003580;
 Mon, 6 May 2019 13:29:25 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=k64mowCpi264ORFq2W8ifdt2IqpNvFEPKdTfG6A5e/c=;
 b=ssmOybIv2TN4g3aTp6pCL4SKjF6C5fcuRgzalQanbd4YbRUsUCJmPAZ7TPm7CjKkG9s9
 ud1+hZJ8tPMKkxRu5ewQ2La8DKJvlX3E2lrnLkHjwDchifVnAPigD8s9gvZVxIC7Jxvq
 wTImSDSMnGVyGpG9b6uFQCytkJdtyGS8CTzU6PID2KtsgId8bbllnPacfJftUvjE5iq+
 WjLMFqlbNBRvutxTCgFYzUmwur99AXZ2Cf3uQBzonkVFrOjvvME/Z7O0zbzzrpF4H4aN
 Ajz163svzgeFPMmXrvl7Rh3rc4ZP1yeJsof7Htbe6EXyKxZOebBwCZiVTf3wEgIO0ZiM MA== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by aserp2130.oracle.com with ESMTP id 2s94b5pgmp-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 May 2019 13:29:25 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x46DS48x184613;
 Mon, 6 May 2019 13:29:25 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3030.oracle.com with ESMTP id 2sagytbywk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 May 2019 13:29:24 +0000
Received: from abhmp0016.oracle.com (abhmp0016.oracle.com [141.146.116.22])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x46DTMLM019688;
 Mon, 6 May 2019 13:29:22 GMT
MIME-Version: 1.0
Message-ID: <015e3b99-287a-477a-aaa6-289544dedcda@default>
Date: Mon, 6 May 2019 06:29:21 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, rms@HIDDEN
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
 <E1hN25z-0005M4-0Q@HIDDEN>
 <03345694-0e66-4f07-94a0-ccee83a437a7@default>
 <E1hNPy8-0006kU-PC@HIDDEN>
 <4564ec3e-0851-471c-8b5d-c6ef9037f4f8@default>
 <183a3a6e-876f-72fd-a5e9-ce55ee24034c@HIDDEN>
In-Reply-To: <183a3a6e-876f-72fd-a5e9-ce55ee24034c@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9248
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=978
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905060117
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9248
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905060117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: psainty@HIDDEN, 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > It was Dmitry (not `C-h k') who never identified
> > the key for which to use `C-h k'.  He never
> > identified the command either.
>=20
> If that really was the issue: the "show location but don't switch
> windows" command is xref--mouse-2, currently bound to mouse-2.

Thank you.  That was the question about your "show
location but don't switch windows".  (It was not
the issue reported in the bug report, however.)

But as I mentioned, with the settings I cited
there is no difference in behavior between mouse-1
and mouse-2.  Each shows the target in the other
window, without selecting that window.

And unfortunately the window the target is shown
in is the window the Dired buffer was in - the
Dired buffer is replaced there (not a good thing,
IMO).

Anyway, I've already said all that.  But thanks
for clearing up what you meant by the "show
location but don't switch windows" command.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 6 May 2019 08:45:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 04:45:23 2019
Received: from localhost ([127.0.0.1]:55677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNZFT-0005Fi-8C
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 04:45:23 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:38308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hNZFS-0005FX-Fm
 for 35353 <at> debbugs.gnu.org; Mon, 06 May 2019 04:45:22 -0400
Received: by mail-wm1-f44.google.com with SMTP id f2so9216017wmj.3
 for <35353 <at> debbugs.gnu.org>; Mon, 06 May 2019 01:45:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=Rg0yWDJ9rStExfBkM3i9hHfXLzyuVtaiJ0uF12AsAHc=;
 b=f8upVv8ByQOM5Y8+ZJaU53yecbsSh79GpXnw/3VzjDs2/dj/y7MQsaOOsLW05ncdTe
 F7ThIPGHNDu1N2dZ9Q73Iowkni0UuZDXCYydv0TYGbLZPeJO1udnezJUYGsZeq9ymFfK
 kU3Iq1CwyGYplzuucmT2UDUUhQ+1laPV0JTsgia4Zz3nLlvQrH+9d6h0vd0JvC+VHkq9
 CO/Kr4ZeGXCn/Q1j02b5076LDg0o63dsFYYaKYmJiB61GuP4QmjEyz/WeDmmhV2zc+bK
 HHxYIeqj0a5Dj3tE9OyGr7FYJ+W7RX/4IMsUYBHdk/Ncu8KAWREPzjDSKM763f+/fEtx
 b7VA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Rg0yWDJ9rStExfBkM3i9hHfXLzyuVtaiJ0uF12AsAHc=;
 b=Lhks8OELIlitascHp4gcsVsmxmUodBGUzihUUZTmrXWLW47S0EESMPUuRMDWUeU9k1
 OheawYz3z7RImeryFPzNIShTcJcaUiAFSjtyrLJRqsljXjxQWvnxH83GWmiTjbIIuvZa
 7mc887RDVBodKzAHRSPTJbOVPjrOAFuIQGZQ+LbEXUPRCs9zJAKeZfwhdHKb9KNYPQZv
 DWgzsoeLtepTEy+4JmGMWvJR0qdd7+5FgwZBC9WGQ2AyObCY+3LzdyyqorN6lU1FzIJ4
 NGBpEJ+Ole1xFM93X6xd9jbQdZI12EFhky9jhK84N82wJCBilPpRBETFhi+5U+Ta0+ld
 jkNQ==
X-Gm-Message-State: APjAAAUUWy9NVDGATWD6mS1R03Xio6R9Dmb+/sGD+n7jQK/tZFjN62BV
 z12EfsygEOYLBeqGtiDuKkNjwvhO
X-Google-Smtp-Source: APXvYqw55mRLwie8WheSDwBWHHz1aQi2CPzZz+99DDTHTaz8vHY3ZZxj4hzYSCsFrvFTgk9URJSagA==
X-Received: by 2002:a7b:c04c:: with SMTP id u12mr14800624wmc.59.1557132316543; 
 Mon, 06 May 2019 01:45:16 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id u8sm8006067wmc.14.2019.05.06.01.45.14
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 06 May 2019 01:45:15 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Drew Adams <drew.adams@HIDDEN>, rms@HIDDEN
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
 <E1hN25z-0005M4-0Q@HIDDEN>
 <03345694-0e66-4f07-94a0-ccee83a437a7@default>
 <E1hNPy8-0006kU-PC@HIDDEN>
 <4564ec3e-0851-471c-8b5d-c6ef9037f4f8@default>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <183a3a6e-876f-72fd-a5e9-ce55ee24034c@HIDDEN>
Date: Mon, 6 May 2019 11:45:13 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <4564ec3e-0851-471c-8b5d-c6ef9037f4f8@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 35353
Cc: psainty@HIDDEN, 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 06.05.2019 3:40, Drew Adams wrote:
> It was Dmitry (not `C-h k') who never identified
> the key for which to use `C-h k'.  He never
> identified the command either.

If that really was the issue: the "show location but don't switch 
windows" command is xref--mouse-2, currently bound to mouse-2.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 6 May 2019 00:41:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 20:41:09 2019
Received: from localhost ([127.0.0.1]:55285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNRgr-0007ot-5A
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 20:41:09 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:41948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hNRgp-0007oH-3V
 for 35353 <at> debbugs.gnu.org; Sun, 05 May 2019 20:41:07 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x460dorh024779;
 Mon, 6 May 2019 00:40:58 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=ZOHZ/HuXTrbzDFBiYseMkOeHEpTReQ1bCsznHaFR3iw=;
 b=zEG2DhmczD8cnKcN7FPUx5RCr9tGo+1mxrUngZvZuD5+Xw8BbYJm8lJwFyI37uQ/Mo1L
 zQnDL6WtK0lOn0wGtfsJoQUrNUEOgeae02hf6Gd4BSxoP2BKWFeDqW0zxlME59HaSLUY
 9NkGbKMugpsufaA9EwAUnHQ5gWfzORMwZ9w1iTYgbgty6dAtPNEWxwCg4bHHqU+hRdT1
 oOPY6EAeac1Qt0xcV2RZIHgrKdjmGjN+1jrpRQZh3ql8RRLGfqv/73xXv8L539Za5I/+
 MPgA6rDabOCuCViUrIQ0gCN0bgWrb6/mV1oB6NYpoqawfBJuv5hhKj+gYd1S4frQraIB XQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2130.oracle.com with ESMTP id 2s94b5kpkq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 May 2019 00:40:58 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x460dISW149353;
 Mon, 6 May 2019 00:40:58 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3020.oracle.com with ESMTP id 2s94aep5ja-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 May 2019 00:40:57 +0000
Received: from abhmp0016.oracle.com (abhmp0016.oracle.com [141.146.116.22])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x460euH7031378;
 Mon, 6 May 2019 00:40:56 GMT
MIME-Version: 1.0
Message-ID: <4564ec3e-0851-471c-8b5d-c6ef9037f4f8@default>
Date: Sun, 5 May 2019 17:40:55 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: rms@HIDDEN
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
 <E1hN25z-0005M4-0Q@HIDDEN>
 <03345694-0e66-4f07-94a0-ccee83a437a7@default>
 <E1hNPy8-0006kU-PC@HIDDEN>
In-Reply-To: <E1hNPy8-0006kU-PC@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9248
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=29
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905060002
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9248
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=29 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905060002
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: psainty@HIDDEN, 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > No such event/key was ever identified, so
> > `C-h k' really did not help here in any way.
>=20
> If it doesn't tell you a command name, perhaps
> this case is a deficiency in C-h k itself.

You are misunderstanding, I think.  Please look at
the bug thread if you are really interested.

It was Dmitry (not `C-h k') who never identified
the key for which to use `C-h k'.  He never
identified the command either.  No idea what he
was (not) talking about.

The only thing he did was refer to an unidentified
"show location but don't switch windows" behavior.
When I asked what he meant by that he just asked me
sarcastically if I've heard of `C-h k'.  Not helpful.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 5 May 2019 22:51:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 18:51:02 2019
Received: from localhost ([127.0.0.1]:55161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNPyI-0000Sa-Dr
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 18:51:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1hNPyG-0000S4-VY
 for 35353 <at> debbugs.gnu.org; Sun, 05 May 2019 18:51:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56058)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1hNPy9-0004Fn-VW; Sun, 05 May 2019 18:50:54 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1hNPy8-0006kU-PC; Sun, 05 May 2019 18:50:53 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <03345694-0e66-4f07-94a0-ccee83a437a7@default> (message from Drew
 Adams on Sat, 4 May 2019 15:25:41 -0700 (PDT))
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
 <E1hN25z-0005M4-0Q@HIDDEN>
 <03345694-0e66-4f07-94a0-ccee83a437a7@default>
Message-Id: <E1hNPy8-0006kU-PC@HIDDEN>
Date: Sun, 05 May 2019 18:50:52 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: psainty@HIDDEN, 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > No such event/key was ever identified, so
  > `C-h k' really did not help here in any way.

If it doesn't tell you a command name, perhaps this case is a deficiency
in C-h k itself.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 4 May 2019 22:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 18:25:55 2019
Received: from localhost ([127.0.0.1]:52565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hN36R-0007Df-3w
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 18:25:55 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:49816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hN36O-0007DS-V9
 for 35353 <at> debbugs.gnu.org; Sat, 04 May 2019 18:25:53 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x44MOZ2q085949;
 Sat, 4 May 2019 22:25:46 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=4BEQyrfjZ+4Jmg8bl2K42B5AdnWhEewlT2cgLHo8BEc=;
 b=azVY3fyRlBeS2qjUoY+V0+Lnc82p1LlFNOrL1pE193Dz5oJW5AWQ6zqNWrBKkX0wNpmP
 WfWJEOQ4kt8uLocJn2MrbWPa3Q53QQRjba7Ro6fQ9tbZCF+uXUXst8kjgTV8nkdg4eY4
 8xdcv0Far5ASTubd5ES/0In1iobgiW+eHmKOvi5J4oAx7lr4jyNIxVdd0KA81T3hJw+1
 KGKrBozvaK++1b3ybMYmsBngEAbWe1hW26/zZxE2RGj0U1g67Ca867KDDMkMM1WA3rq7
 je6+rmkYXPXEbipbk/jpG6IAoGsnWymNB6/hYvdOEF1xdB2oMHDZvdWgV+VJ8lu+8GwE qg== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2130.oracle.com with ESMTP id 2s94b5hjc0-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 04 May 2019 22:25:46 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x44MPDjl146700;
 Sat, 4 May 2019 22:25:46 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 2s9aydtx0t-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 04 May 2019 22:25:46 +0000
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x44MPgFC026460;
 Sat, 4 May 2019 22:25:42 GMT
MIME-Version: 1.0
Message-ID: <03345694-0e66-4f07-94a0-ccee83a437a7@default>
Date: Sat, 4 May 2019 15:25:41 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: rms@HIDDEN
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
 <E1hN25z-0005M4-0Q@HIDDEN>
In-Reply-To: <E1hN25z-0005M4-0Q@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9247
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=29
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905040168
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9247
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=29 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905040168
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: psainty@HIDDEN, 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>   > > Have you heard of 'C-h k'? It's handy.
>   > How does that answer the question?
>=20
> You type C-h k and then generate some event, and it shows what command
> that event will run.  That might enable you to find the answer
> to your question:
>   > > > What is the "show location but don't switch windows"
>   > > > action?
>=20
> So the answer was helpful, or at least had a good chance of being
> helpful.

No, it didn't help at all.  I had no idea what
action the description "show location but don't
switch windows" was meant to indicate.

And no particular key was mentioned, so I had
no idea how `C-h k' could possibly have helped.
And none of the keys mentioned exhibited any "show
location but don't switch windows" behavior.

(And yes, I am aware of `C-h k'.)

> But the way it was written,
>   > > Have you heard of 'C-h k'? It's handy.
> is not very helpful, because it made you figure out, or guess,
> how it related to your question.  It was teasing.

It was just a snide remark, not helpful at all.
=20
> It is kinder to answer in a way that shows explicitly how the
> answer relates to the question.  For instance,
>   C-h k followed by generating the event should tell  you
>   what command it runs.

No such event/key was ever identified, so
`C-h k' really did not help here in any way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 4 May 2019 21:21:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 17:21:32 2019
Received: from localhost ([127.0.0.1]:52504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hN267-0005h0-UQ
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 17:21:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1hN265-0005gn-Rb
 for 35353 <at> debbugs.gnu.org; Sat, 04 May 2019 17:21:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34438)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1hN25z-0006Lm-T3; Sat, 04 May 2019 17:21:23 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1hN25z-0005M4-0Q; Sat, 04 May 2019 17:21:23 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default> (message from Drew
 Adams on Thu, 2 May 2019 16:22:30 -0700 (PDT))
Subject: Re: bug#35353: 26.2;
 Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>
 <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>
 <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>
 <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
Message-Id: <E1hN25z-0005M4-0Q@HIDDEN>
Date: Sat, 04 May 2019 17:21:23 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: psainty@HIDDEN, 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Have you heard of 'C-h k'? It's handy.

  > How does that answer the question?

You type C-h k and then generate some event, and it shows what command
that event will run.  That might enable you to find the answer
to your question:

  > > > What is the "show location but don't switch windows"
  > > > action?

So the answer was helpful, or at least had a good chance of being
helpful.  But the way it was written,

  > > Have you heard of 'C-h k'? It's handy.

is not very helpful, because it made you figure out, or guess,
how it related to your question.  It was teasing.

It is kinder to answer in a way that shows explicitly how the
answer relates to the question.  For instance, 

  C-h k followed by generating the event should tell  you
  what command it runs.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 3 May 2019 06:39:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 03 02:39:19 2019
Received: from localhost ([127.0.0.1]:47574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMRqp-0007J0-KZ
	for submit <at> debbugs.gnu.org; Fri, 03 May 2019 02:39:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hMRqn-0007Io-8I
 for 35353 <at> debbugs.gnu.org; Fri, 03 May 2019 02:39:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58792)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hMRqh-00048K-OB; Fri, 03 May 2019 02:39:11 -0400
Received: from [176.228.60.248] (port=2645 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hMRqh-000680-2i; Fri, 03 May 2019 02:39:11 -0400
Date: Fri, 03 May 2019 09:38:53 +0300
Message-Id: <83lfzonite.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <5ca19156-ad8f-7ce1-f45f-5fc29629df83@HIDDEN> (message from
 Dmitry Gutov on Fri, 3 May 2019 01:49:31 +0300)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN> <83sgua70fw.fsf@HIDDEN>
 <e206c259-4aac-851f-3327-282d39b73525@HIDDEN> <83pnpe6zpz.fsf@HIDDEN>
 <5ca19156-ad8f-7ce1-f45f-5fc29629df83@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 35353 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 3 May 2019 01:49:31 +0300
> 
> On 22.04.2019 14:34, Eli Zaretskii wrote:
> > To tell the truth, I fail to see how mouse-2 and mouse-1 are different
> > in the default configuration.  (They are bound to different commands,
> > but the effect is the same, AFAICT.)
> 
> The difference is in which window ends up being selected.

Oh, you mean one of them also selects the XREF buffer's window.  Yes,
I see it now, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 3 May 2019 00:27:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 20:27:25 2019
Received: from localhost ([127.0.0.1]:47366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMM2v-0004q4-2V
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 20:27:25 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:44640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hMM2s-0004pi-QC
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 20:27:23 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x430OPa9171040;
 Fri, 3 May 2019 00:27:17 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=MuW1R3aS+7MY+nI+Z/zyRZ0JAd2j4Vab/0RdnqnPolo=;
 b=fwwsG3p56oaJwQiqZeMu6N5YiE5Q7r7+6X1+sNuzggc31ummIKKIKaOkEb+PTJxaKmk9
 k8rIk45aijbpuQqv9eMEj6kkok9ZV5LY3hvOrYCSguyNkCr2+zr3EkwhUWbaKcBcuRw/
 eGPPPgNKGbdeOgvHXSvmyr4xPPpJJJVA66Mx37nuQCCIat6DYxVq5x4mDcECm3OhP6xY
 jupyhFYAekxYOgHqhFP2GM2VoncFElFqR3x0vTulIYDbYlsQIziA/bIql5VuNLIBAZwg
 SGcRS59gSHAluvC/mlMD832a3bUP2lOd8xfKb8qoQDSxnZAd/HrFE982pIkbY0eplI6u 2g== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by aserp2130.oracle.com with ESMTP id 2s6xhykxs3-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 03 May 2019 00:27:17 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x430PlN4038976;
 Fri, 3 May 2019 00:27:16 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userp3030.oracle.com with ESMTP id 2s7p8a2jj0-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 03 May 2019 00:27:16 +0000
Received: from abhmp0012.oracle.com (abhmp0012.oracle.com [141.146.116.18])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x430RE2K003662;
 Fri, 3 May 2019 00:27:14 GMT
MIME-Version: 1.0
Message-ID: <c78fffdf-ecd6-4be5-aa00-f5b4f7b48c4a@default>
Date: Thu, 2 May 2019 17:27:14 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Phil Sainty <psainty@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <3df72e2b-7b73-52b4-07f4-4fb746a51b6e@HIDDEN>
 <1bc05eee-67fe-4054-88b3-20ed296598bc@default>
 <84d75246-cb93-af79-ed83-d0c55dd9c0b6@HIDDEN>
In-Reply-To: <84d75246-cb93-af79-ed83-d0c55dd9c0b6@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905030001
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905030001
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >> It doesn't do that over here.
> >
> > Over here meaning what?  Which sentence are you
> > referencing: mouse position or window switching?
>=20
> Doesn't switch to another window.
>=20
> > Do you have non-nil `pop-up-frames'?
>=20
> Nope, but that doesn't seem to affect the non-window-switching.
>=20
> > Are buffers named `*...*' special-display buffers for you?
>
> No idea what that means.

Customize option `special-display-regexps' to
`("[ ]?[*][^*]+[*]")', for example.

> > Yes, I was describing what I see in my setup,
> > which has those things.
>=20
> And I'm describing 'emacs -Q'.

I just reported the bug.  If you want to fix it, fine.
If not, OK.  I'm not a user of xref, so far.  I simply
tried it and immediately fell upon the problem reported.

I have nil `mouse-1-click-follows-link', non-nil
`pop-up-frames', and `("[ ]?[*][^*]+[*]")' for
`special-display-regexps' (which affects a buffer named
`*xref*').

If the bug report helps, great.  If you apply the fix
I suggested (from the manual, about Emacs conventions,
and shown as example for `compile.el'), fine.  If you
apply some other fix, fine.  If you leave it as is, too
bad for some xref users, probably.  Or maybe someone
else will fix it later.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 3 May 2019 00:27:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 20:27:25 2019
Received: from localhost ([127.0.0.1]:47364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMM2u-0004q2-P6
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 20:27:25 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:47282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hMM2r-0004pg-Vv
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 20:27:22 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x430P0UX163049;
 Fri, 3 May 2019 00:27:15 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=sGyQr+UcygQJD7FmwoADbM8QTDSmaHiaCi+o3ScRR3s=;
 b=xm4Vu/fqHsEaaK+xqpx0xJxREjBk7sTR2lVUMSWVLz/AhPCwMNTPrIvi+hqsTQppBeIS
 5D6MfSiyfQLjlmScadiN3OoWTOulP/8fRe/Ycg+93sS/Rzbw8oq0OJRZN7InD45HIobe
 dGoGS7ZymuK9F+p0U0xCCLQV3zJl2Lpm/ZJ1NYiVbWeFF4bvGreRAQivsOFuOnMljPJq
 Ftit/95JnVAaY8BkAe03ThHzlDeoIQvfxoEAmancaur3lxcABT/Evqyg+Us/AtyuzpoX
 c82xsaAndMImsE8zo7+qo03IygOMf2UWrV2ChMqbDezYciOvj6NMPhnrfKSmuNY6jg2p 3g== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 2s6xhykyu9-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 03 May 2019 00:27:15 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x430Pf1U038766;
 Fri, 3 May 2019 00:27:15 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3030.oracle.com with ESMTP id 2s7p8a2jhv-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 03 May 2019 00:27:15 +0000
Received: from abhmp0012.oracle.com (abhmp0012.oracle.com [141.146.116.18])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x430RCAi029958;
 Fri, 3 May 2019 00:27:12 GMT
MIME-Version: 1.0
Message-ID: <d9a9d5f3-4611-41fc-b313-9620dd65217a@default>
Date: Thu, 2 May 2019 17:27:11 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Phil Sainty <psainty@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
 <049d4291-106a-c763-34a5-ce17cd819e8b@HIDDEN>
In-Reply-To: <049d4291-106a-c763-34a5-ce17cd819e8b@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=800
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905030001
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=824 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905030001
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >>> What is the "show location but don't switch windows"
> >>> action?
> >>
> >> Have you heard of 'C-h k'? It's handy.
> >
> > How does that answer the question?
>=20
> By helping you to find out the answer for yourself.

No idea for what key you're suggesting `C-h k' will
tell me what you mean by the "show location but
don't switch windows" action.  Care to share?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 23:34:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 19:34:58 2019
Received: from localhost ([127.0.0.1]:47324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMLEA-0003aq-AA
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 19:34:58 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:35740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hMLE8-0003ad-Je
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 19:34:57 -0400
Received: by mail-wr1-f52.google.com with SMTP id f7so5598888wrs.2
 for <35353 <at> debbugs.gnu.org>; Thu, 02 May 2019 16:34:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=BCORSnFURzjZBRg66kE1EOau7+b2PJj0qkU1N32vHLs=;
 b=lJFoyun3EkeOw2IzZpGXSJ5Ali+pLCOOvpXyDat3fecjZe+8Pnd+HKYdjVBh3hKaxd
 Bve/GkmvEzMZxfcs03sKTcOXmqJdLUwb1nNskGLt7zoJ39l/qLOwiab6bY+MemvaU4MT
 H3VKX0aTwNxI4/hT532hMlmi6UQuR1FHRBRcpcl5/Q8iLt1uKlDoKIzLXywkTlDEnAWR
 HWjRec+PU3zpGZPIKu9IddaSZng/2HPB5OEb4w9lDeLMruHKMtCRAQAjqXsHBuuQHhK1
 jxEu0KOhUalDGpiH9sQqcKbFKTbFr++eQa1/28EWtqqvo+v685rF0Y6jJuMQH7oWB5wy
 rM+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=BCORSnFURzjZBRg66kE1EOau7+b2PJj0qkU1N32vHLs=;
 b=Ytl8GsJbh9SzKyBLOCUyPKrMVM78adnWhKppCV0YjaX0HrkD2bA+OFkN9ZoF5vi91A
 d5qml2IhKiDKsNRO4sUzOYgaqmCvM9n31H+OCHayQhG4QPaWeH9LJyJAIMebM7BlzKDR
 ZL9JyQz53BLJBub1OEg3hFRSAvT08nlTL526nU/OpnCWVCpy9Z/3oDPYUCj5uIIe1DtR
 MHHdJrjIROReNaRJR0Ofz8wpYokLrZODD3WexW968jJwE6lZkJrToiqrWJi5NLG5qBxg
 EDe8Wqn0DjdUB+wG+UIL2hPdAt577kf2onr1ROcmAbMZW82SL6AUI7sEl+7GU1o/PMUI
 9hxg==
X-Gm-Message-State: APjAAAXXSLcW9+hiN3RN6omvXIpnAUXH82IGKEbG3JQWvP1PJPtxMlBB
 uDRCcvP8FaYAhAbbFs5gP3CImrJteE8=
X-Google-Smtp-Source: APXvYqwOATzF88CGvtmuXgkI0SZ8rzyQye6QTecZXf0u9TRuQ7rjluGZczjtr10qIsczg6oe/m709g==
X-Received: by 2002:a5d:4ec2:: with SMTP id s2mr4485275wrv.160.1556840090691; 
 Thu, 02 May 2019 16:34:50 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id d3sm595987wmf.46.2019.05.02.16.34.49
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 02 May 2019 16:34:49 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Drew Adams <drew.adams@HIDDEN>, Phil Sainty <psainty@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <3df72e2b-7b73-52b4-07f4-4fb746a51b6e@HIDDEN>
 <1bc05eee-67fe-4054-88b3-20ed296598bc@default>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <84d75246-cb93-af79-ed83-d0c55dd9c0b6@HIDDEN>
Date: Fri, 3 May 2019 02:34:48 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <1bc05eee-67fe-4054-88b3-20ed296598bc@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 03.05.2019 2:22, Drew Adams wrote:

>> It doesn't do that over here.
> 
> Over here meaning what?  Which sentence are you
> referencing: mouse position or window switching?

Doesn't switch to another window.

> Do you have non-nil `pop-up-frames'?

Nope, but that doesn't seem to affect the non-window-switching.

> Are buffers
> named `*...*' special-display buffers for you?

No idea what that means.

> Yes, I was describing what I see in my setup,
> which has those things.

And I'm describing 'emacs -Q'. If you see some details in the 
implementation that could work more reliably (e.g. with your 
configuration as well), please go ahead and point them out.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 23:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 19:31:34 2019
Received: from localhost ([127.0.0.1]:47317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMLAr-0003W2-QL
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 19:31:33 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:36679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hMLAq-0003Vn-AD
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 19:31:32 -0400
Received: by mail-wr1-f44.google.com with SMTP id o4so5589343wra.3
 for <35353 <at> debbugs.gnu.org>; Thu, 02 May 2019 16:31:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=sTqNfDO3JwJ/JvKbiFpABzmu+DX/rZpkvN4lDCxi99k=;
 b=dQYxYQ2xTMelGerNZr3AmaPSBVa4D76+lRin4cQjUHG6/0gJY1BUpVeeeCd5CXzIs0
 HGMV+YcGaGLvoqQefvt6Ftp6GrTfCMHnizsv03yQXWPcUEppHYf9MqiQDJMrgvUTKwVV
 15/E/V4YwnjyrQ2Y0acVAW3w08heE80U1/Rt500ipmP5lhMkrNT19qXcpWfaHOqWuZBI
 k8OqGn/xQFF94ZOdAYUHFAkhQhdaC1plnNVcadqkzuRVulxSFvsV/24p7wmHOy270xjQ
 aS0debi3UzvtK+RAawsS1LbhIbndN+VcQVC0Sx1icyGkPDLX/JCmRl97WVUxk5RHuVUZ
 tRMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=sTqNfDO3JwJ/JvKbiFpABzmu+DX/rZpkvN4lDCxi99k=;
 b=o0LuGdPjgiDlFbwXAtH/Th6ZA2L0WPMTOUQpZtUufORbYts4lyxkvq/QDWYeyjEUhS
 FhiMur1bpDt5ez97g4vv28Zxyjp0tPi+fNUWbo4hFlLqr707VxF+NiJKdvRUDR5idGk5
 POf0dEmloBHf+dbfiJEBbr4+ne7yfrXazta71N1A1iphACx2GR/M+D/tpF6uB7b1SKFE
 mGI+p3581KwdbnqVqJ8GaXOAW8fsmgVgVS5vHDN24EoYq10U49xg/HjfwzfqxC6DXeAF
 rai+0nnvq0+l/BrT6+sc98pW2LmCtGcwt+vxUftD6xUUwpc8CWV+gfxx/2oOc/iZoUAg
 UkWQ==
X-Gm-Message-State: APjAAAUzhTtqkye7bZPsYUR2tSxAJ2l8baSYFJ9aPuvQQGJE7jGMvvda
 MJQHgNAXlUucq4ViNDuPGVk51ducKP8=
X-Google-Smtp-Source: APXvYqwX0C4rJz+61VoeGttThIGdCHECTPuVu1OvDNfx+Gc0s4McBih8O3STgUPsp/A0BNH91w9Lag==
X-Received: by 2002:adf:e74b:: with SMTP id c11mr4121813wrn.221.1556839886120; 
 Thu, 02 May 2019 16:31:26 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id d3sm590151wmf.46.2019.05.02.16.31.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 02 May 2019 16:31:25 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Drew Adams <drew.adams@HIDDEN>, Phil Sainty <psainty@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
 <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <049d4291-106a-c763-34a5-ce17cd819e8b@HIDDEN>
Date: Fri, 3 May 2019 02:31:23 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 03.05.2019 2:22, Drew Adams wrote:
>>> What is the "show location but don't switch windows"
>>> action?
>>
>> Have you heard of 'C-h k'? It's handy.
> 
> How does that answer the question?

By helping you to find out the answer for yourself.

Because I have already explained what it does the best I could.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 23:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 19:22:42 2019
Received: from localhost ([127.0.0.1]:47302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hML2I-0003Hg-IL
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 19:22:42 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:53726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hML2G-0003HK-S2
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 19:22:41 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x42NJLKi122225;
 Thu, 2 May 2019 23:22:34 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=95pVER4pACHnVaqTDEmRaLklsQzldVyQSRSLUgik+P0=;
 b=sC8lL1lkuxdzN+f1qWcSaIqkMBcd5Fh4uV1w3iaEqlOcWxnZrs7v53oY0hEEIFsLZEW6
 2w/mw46pWVcHAQZaCWYjxDWcWf/pTLFyHd4Km1AC1JaVEsC+qwZ2qrG3K22jxjH0ynna
 J/tADsOFE1tS9YPVaiVpFrCZgdf86b21wk4lPu9WBZQH+pI3iG4cHrhzE1BayFYVXng0
 qSWM6CG+Y9jbbnxWFdHf+PjEfqc3MLW8cpMNlxlfD9MWTCP79SkYr26IY6BlFUX7xmqh
 t1W/u5PTi03R0zD0Ls8WsqxpPMIFQfEEMu4DrWdVOg56Ee7qEqDoEoK/chorpskuqLrb kQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 2s6xhykuj5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 02 May 2019 23:22:34 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x42NL6TS098573;
 Thu, 2 May 2019 23:22:34 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3020.oracle.com with ESMTP id 2s6xhhbcaa-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 02 May 2019 23:22:34 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x42NMVVC024039;
 Thu, 2 May 2019 23:22:31 GMT
MIME-Version: 1.0
Message-ID: <486b82d6-30c3-41b3-8d84-e01a07f99eb5@default>
Date: Thu, 2 May 2019 16:22:30 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Phil Sainty <psainty@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
In-Reply-To: <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=803
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905020145
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=835 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905020145
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > What is the "show location but don't switch windows"
> > action?
>=20
> Have you heard of 'C-h k'? It's handy.

How does that answer the question?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 23:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 19:22:42 2019
Received: from localhost ([127.0.0.1]:47300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hML2I-0003He-7Y
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 19:22:42 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:48600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hML2G-0003HM-W1
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 19:22:41 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x42NJMRc130288;
 Thu, 2 May 2019 23:22:35 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=tWJgP6YW6uA6ie89mg0G3EcqAMmFwZ1P5lG/eHLbeAY=;
 b=fh3rAOzk4XCfMbbvLWRKdfQLZfvfoBSd5+XUEmfXQaQ9ZROOYb4CZ6q3px/GKru1rnyQ
 zYa1QEb13E6hcBIplCTq6vE9ZgYOkxWmt7xGFf4RThxOG/pIKp4zRW/4qq/XB2drwINK
 WMXMBdMCUjnDUzHVl8MLN2A8O8l3k5Dj7l5k428wrDI9I8t+xn4Y4vM6Nf0nakftSUIA
 BmojskkSE2cn3+JXltKY0b4qnCSm0bI//xRAeGTC/MUkSnkapQzXvHrGV8U9OXXuTECY
 zqvIW/DKWwLKZgxsm86mMMDmYDL8fW3BisHLfziUXkfVKhCCAKoeKqRT8YjWdgHg6+dE PA== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2130.oracle.com with ESMTP id 2s6xhyktem-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 02 May 2019 23:22:35 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x42NKlvJ117701;
 Thu, 2 May 2019 23:22:34 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserp3030.oracle.com with ESMTP id 2s7rtc0hf5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 02 May 2019 23:22:34 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x42NMWGq024045;
 Thu, 2 May 2019 23:22:32 GMT
MIME-Version: 1.0
Message-ID: <1bc05eee-67fe-4054-88b3-20ed296598bc@default>
Date: Thu, 2 May 2019 16:22:31 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Phil Sainty <psainty@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
 <3df72e2b-7b73-52b4-07f4-4fb746a51b6e@HIDDEN>
In-Reply-To: <3df72e2b-7b73-52b4-07f4-4fb746a51b6e@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=880
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1905020145
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9245
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=912 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1905020145
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > I see only `C-o' (`xref-show-location-at-point'),
> > whose name says it does that, but only for point,
> > not for the mouse position.  (And when I try `C-o'
> > it too switches to another window, the same as `RET'.)
>=20
> It doesn't do that over here.

Over here meaning what?  Which sentence are you
referencing: mouse position or window switching?

Do you have non-nil `pop-up-frames'?  Are buffers
named `*...*' special-display buffers for you?

Yes, I was describing what I see in my setup,
which has those things.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 22:49:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 18:49:43 2019
Received: from localhost ([127.0.0.1]:47259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMKWN-0002WJ-31
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 18:49:43 -0400
Received: from mail-lj1-f170.google.com ([209.85.208.170]:33946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hMKWK-0002W6-J6
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 18:49:41 -0400
Received: by mail-lj1-f170.google.com with SMTP id s7so3724816ljh.1
 for <35353 <at> debbugs.gnu.org>; Thu, 02 May 2019 15:49:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=mDang2mtHZx0iyB/rvafuNJku4tFMuQaggfV+078JXQ=;
 b=hC3/1HlKMCeLEQ0m1e5JmVWn5TtrlpULuzawobo5NGt934DVft1jEbKlnY+jT10paf
 i1DP9SD1TD2VwuB80Ek9y4r2SP6wZW6t/COlh7W/skHQ94QzHkyKQTiar5d51RjZIoSS
 KspE81lZSb1OjFOkExSs0gkO+4AF3cE2wooeLZu+FdDnWrO8NyhResAgMAEUumdahGWI
 CCFUA6OjJV+9oSdjAtZj33PjkMLZxgjxj1W8Vz95pwGdoLkW5woKXyYaiIjBCapMnbiG
 artJCqvkkI3Aj0sqMTiITxf1lxh2zi2Swsrg7FNvLenfLfKfhDcPSVIc79DjCsvP/Hb6
 dvXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=mDang2mtHZx0iyB/rvafuNJku4tFMuQaggfV+078JXQ=;
 b=IsrI93FclA3QHs/5Qn3Av7oksmoxK7YbwRHVAku3y8WATCjUI11Bx0/eRBr8x2FoMl
 pCEpvYS8iAAlH0a6qrwBF/55W7+CCyQ7JNR0AarCXnP6mvaJ4H8n8ZHzN/HdxarnbRpb
 RU/8qwtUCJ8i8JmHlpy7+hJsyZoGfn8Dp7cZW7ps8sBpdBd5tvKoi3p7ZjoiMKjVg8+u
 dXKFNdCmVfzzlfBioHjjFhA/RPmciWx3zkjCWSqFQrVnDeo+zFJGUG5kDGb7Hd1jDtsH
 z0uF0LH3qKvL1ZQ+8QCbCIKzttaSh7gI016K7Su5NP8JOKjlRNiQnxXywi91QZwvJFDX
 0MMg==
X-Gm-Message-State: APjAAAV5yqLqM06UEP06JGVtmwyCT+h0HAGn2XUuVtcrQJf1LvFxGK1t
 MfP3PcGvJLCGEAuG1UG1+GgjbVU02cY=
X-Google-Smtp-Source: APXvYqzlIWQ5B+L//E+5pUh2LsYpTxnfCnRRZzqXS6Joz2Et+m/jYXHCbTuUGo2LPkuIJjKVA6sR+g==
X-Received: by 2002:a2e:4a09:: with SMTP id x9mr2889437lja.19.1556837374413;
 Thu, 02 May 2019 15:49:34 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id k26sm74241lfb.63.2019.05.02.15.49.32
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 02 May 2019 15:49:33 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Eli Zaretskii <eliz@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN> <83sgua70fw.fsf@HIDDEN>
 <e206c259-4aac-851f-3327-282d39b73525@HIDDEN> <83pnpe6zpz.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5ca19156-ad8f-7ce1-f45f-5fc29629df83@HIDDEN>
Date: Fri, 3 May 2019 01:49:31 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <83pnpe6zpz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 22.04.2019 14:34, Eli Zaretskii wrote:
> To tell the truth, I fail to see how mouse-2 and mouse-1 are different
> in the default configuration.  (They are bound to different commands,
> but the effect is the same, AFAICT.)

The difference is in which window ends up being selected. Maybe it's not 
hugely important, though (I don't remember the last time I used mouse-2 
for this purpose).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 22:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 18:48:43 2019
Received: from localhost ([127.0.0.1]:47255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMKVO-0002Uk-OO
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 18:48:42 -0400
Received: from mail-lj1-f195.google.com ([209.85.208.195]:44785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hMKVL-0002UW-Ff
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 18:48:41 -0400
Received: by mail-lj1-f195.google.com with SMTP id c6so3678372lji.11
 for <35353 <at> debbugs.gnu.org>; Thu, 02 May 2019 15:48:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=ZPepzmouZMvEvcOqrGHz2fWp8KZwZ5mmHIpI9bKNSR0=;
 b=c+N9hHnGlRAiAezd8vmZZeuRXUifv9ZtVz7lr+GcH1k0us/uHSadPsuspz10wY84bz
 rsRUTGMmgUfmwdPnklJ6A1E5ZTtHj/bgntzY1dUoWNEx+i24PoInbTxe/rYVYA/FI7e6
 Rp3KE7/E8mHaa5fkNbM1QT2X8I84WWZrZQy7LdzbXWiVfu1eIUzAUGJgnQyUoTEfnXV1
 B++SUhKptV4SBtiKbp8bMxvArvS2EmhDUvtmxrb52U8od4h2tTmF5IoqBJf96Mjl8sjk
 RZXUQDX56qCoLq4BF9fJipd7PpYOdOzGF3U96qoFuxzrDUWxdZlfjK/j9qovvnTnAvD1
 OVpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=ZPepzmouZMvEvcOqrGHz2fWp8KZwZ5mmHIpI9bKNSR0=;
 b=iJjNx81JTMLYF7s2kQRaojbFuOuKoJ+qqWbrtxJhfPH9sLEsloAr7pyQhooYTezlrk
 w9RaDOil7YjCksFfqlL0AJT3JiGuWM4cufZmpXwBKwFX4cYWiuFKkTL33hm5u2jb4OZQ
 l3tBxruU820lPn3p8W9YDgxfSgREn1/tGjFwnSl+AmWc5V9mydiRjQyN1zw5Cu1d3x0V
 Q5iNlfoqDNrYZCyNe/TCaaZkR569k2E9nzkeBm7d2Uacmo6RN0Jm8VW/EMDV0gjIjfUB
 509Fa7cwvoJvb4icoSPugs2xuHd3dODEYqL7G9L0kPDPoezQb4xkqlnw/gploEYJoffl
 5nZw==
X-Gm-Message-State: APjAAAUSp2NbYYK2DhQjVd8fZ7vQanGgZHW7AH+ZXMoDMkc4d5Asbxss
 4ym4SoTuAC/2CZIk2A5W3lnZcF+A+o0=
X-Google-Smtp-Source: APXvYqzlu8QQu1XHnrfmhXzSY1zvJ2sLa/N0m8iQnYnM3SVHlSPbTCtaM3UrECzKvUbPEfINnyZnag==
X-Received: by 2002:a2e:9dcb:: with SMTP id x11mr3237727ljj.123.1556837313063; 
 Thu, 02 May 2019 15:48:33 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id p82sm49735ljp.37.2019.05.02.15.48.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 02 May 2019 15:48:32 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Drew Adams <drew.adams@HIDDEN>, Phil Sainty <psainty@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3df72e2b-7b73-52b4-07f4-4fb746a51b6e@HIDDEN>
Date: Fri, 3 May 2019 01:48:30 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 22.04.2019 16:08, Drew Adams wrote:
> I
> see only `C-o' (`xref-show-location-at-point'),
> whose name says it does that, but only for point,
> not for the mouse position.  (And when I try `C-o'
> it too switches to another window, the same as `RET'.)

It doesn't do that over here.

> In any case, how is Xref different from, say, Occur
> wrt mouse actions and the general interaction?  What
> makes it so special that it should be problematic to
> fix this bug?

Honestly, it's quite easy. I'm pasting the code patch below.

Would you write the NEWS entry for it? And any necessary manual changes 
would be nice as well.

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index c7f015b94f..6dcdd75c84 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -722,8 +722,9 @@ xref--next-error-function
  (defvar xref--button-map
    (let ((map (make-sparse-keymap)))
      (define-key map [(control ?m)] #'xref-goto-xref)
-    (define-key map [mouse-1] #'xref-goto-xref)
-    (define-key map [mouse-2] #'xref--mouse-2)
+    (define-key map [follow-link] 'mouse-face)
+    (define-key map [mouse-2] #'xref-goto-xref)
+    (define-key map [mouse-3] #'xref--mouse-3)
      map))

  (defun xref--mouse-2 (event)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 2 May 2019 22:35:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 18:35:23 2019
Received: from localhost ([127.0.0.1]:47237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMKIV-0002Bq-G1
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 18:35:23 -0400
Received: from mail-lf1-f48.google.com ([209.85.167.48]:41124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hMKIT-0002Bd-MK
 for 35353 <at> debbugs.gnu.org; Thu, 02 May 2019 18:35:22 -0400
Received: by mail-lf1-f48.google.com with SMTP id d8so3064525lfb.8
 for <35353 <at> debbugs.gnu.org>; Thu, 02 May 2019 15:35:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=hUwj+HmMsq3udL5xNHmwMy8Hzx23RRLWc+UmAOMT5VY=;
 b=Bl23MT3CjpU31KUUqTlcO6njHirMXikSYYH96T3b4d8KM2mbenDG8DCr6UrtktOp24
 ADVDCeoOj/mMx3rUdRLlzwEuw0Fr1pIPeWrqrE4hj/0OoQzI8oLq06fZ5cj4O0eoAmf4
 TgXitzLexeg5dm8Rng6KuxeVnMhCxItPL4o1LXwomU95CbK/bPDGd63iXITS448CAj0G
 QZpuGWjnyEagqeJ0rCKNHhNmdRScMPalJIyuYPdydvSZo74xydoel+4oSGr4rf+WQpgy
 V/IlljHMq9ylehjAcEuo/vWo41vKp7PcAb3cxLURTB6rqcK5FV9PzCiQrXIMVQQ2ATu/
 /Hcg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=hUwj+HmMsq3udL5xNHmwMy8Hzx23RRLWc+UmAOMT5VY=;
 b=NhzE95aBHuBfqLv6MxdY28dCx4mOCrQRwZd7Ig+eOGJM0606jx7bp+82ZZaMBcOHbS
 tl+4UxVNKLoFWVLwIxmX2VmD88QUzv+GYXptKAqu+PM5K7D+kOeu1Bn2IHIOK4jw+3qD
 9d+s2GMpItY4DdgtS8UYO306CFhW81LPYqWrDaxL2Xnx0lYu2XnIiS7QHfoKWKc2CjxH
 KbWnmKTiMVd6478suIGUjIMLHvLnu9ebimjXh+N7g5fHFUMsFJ9mko/KyO5mxA3N5yF4
 bI0BUpy0Ch/d4bZeXQmNvyXse0SEecbg/NdRpZ/VFeoPddMsUDzgLTLF+019/SV6uRvD
 d0aA==
X-Gm-Message-State: APjAAAXLcvzIHiRMdv2lfOPZ9e9PUYgz2NqwY0YtAt1ANO4xM0Kw2Mog
 07xXmScUdySDobeP/xZHcorLJ6xxMbo=
X-Google-Smtp-Source: APXvYqyywcGjsAXn1xlGXIYmUyAktosWVMfDHn6NDUyFcXrljxSCAZCZ09IgMP6lWcsd2Z2Iy8dO/Q==
X-Received: by 2002:ac2:5a0a:: with SMTP id q10mr3435151lfn.13.1556836515414; 
 Thu, 02 May 2019 15:35:15 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id j6sm56281ljc.0.2019.05.02.15.35.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 02 May 2019 15:35:13 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Drew Adams <drew.adams@HIDDEN>, Phil Sainty <psainty@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
 <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <b7d4fb72-a8ba-8524-dedc-d975ce64ca18@HIDDEN>
Date: Fri, 3 May 2019 01:35:10 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 22.04.2019 16:08, Drew Adams wrote:
> What is the "show location but don't switch windows"
> action?  Is it `xref--show-location' or some command
> that invokes that function?

Have you heard of 'C-h k'? It's handy.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 13:33:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 09:33:56 2019
Received: from localhost ([127.0.0.1]:50221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIZ51-00079j-QD
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:33:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIZ4z-00079W-IX
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:33:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40724)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIZ4t-0003yB-BG; Mon, 22 Apr 2019 09:33:47 -0400
Received: from [176.228.60.248] (port=4226 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIZ4s-00059a-DO; Mon, 22 Apr 2019 09:33:46 -0400
Date: Mon, 22 Apr 2019 16:33:37 +0300
Message-Id: <838sw26u6m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <0cba4d18-17d0-4294-a1d4-20cd6d5da49a@default> (message from Drew
 Adams on Mon, 22 Apr 2019 06:23:23 -0700 (PDT))
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<<<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>	<83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>>>>
 <<<<83v9z6732b.fsf@HIDDEN>>>>
 <<<376d5335-eb80-4272-8847-e764242a02b7@default>>>
 <<<83r29u70cy.fsf@HIDDEN>>> <<c1e7f520-7dff-41e0-ba01-9828b87cb703@default>>
 <<83imv66vi2.fsf@HIDDEN>> <0cba4d18-17d0-4294-a1d4-20cd6d5da49a@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 22 Apr 2019 06:23:23 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: dgutov@HIDDEN, 35353 <at> debbugs.gnu.org
> 
> > > > FWIW, I see no important reasons to set point in XREF buffers by
> > > > clicking the mouse.
> > >
> > > It's always important to be able to set point by
> > > clicking the mouse.
> > 
> > I disagree.  And it's easy to disagree, because you didn't provide any
> > rationale, none at all.
> 
> Of course I did - more than one, and more than once now.
> Click a mouse button to set point, select a window, and
> focus its frame.  Is that not enough rationale for you?

No.  You are talking in general, whereas I'm talking specifically
about windows showing the XREF buffer.

> In any case, surely you do realize or can
> imagine that at least some Emacs users set
> `mouse-1-click-follows-link' to nil?  Surely
> you can imagine that removing the effect of
> that setting for *xref* buffers could be
> upsetting and surprising to them, no?

There's plenty of spaces where mouse-1 does nothing like
mouse-1-click-follows-link suggests.  This is one of them.

Mind you, I don't object to making XREF behave similarly, I just don't
think it's terribly important.  As I already said too many times.  I
really hope you finally decide to agree to disagree.

> The "non-links" have `mouse-face'. They have a `keymap'
> property that binds `mouse-1' and `mouse-2' to commands
> that follow the "non-link" to its location.  They have
> `:help-echo' that says "mouse-2: display in another
> window, RET or mouse-1: follow reference".  When you
> click them or hit RET or C-o they sure seem to follow
> the "non-links".  What am I missing?
> 
> Using `A' In Dired puts me in an *xref* buffer.  Using
> the "non-links" in that buffer do NOT, in any way that
> I can imagine you might mean, "select on[e] of possible
> symbols".
> 
> I can follow these "non-links", but I'm really having
> trouble following you.  And the problem (this bug) is
> that I cannot NOT follow these "non-links".

Of course you can follow them: mouse-1 already follows them (as does
mouse-2).  We are not talking about following them, we are talking
about something else.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 13:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 09:23:36 2019
Received: from localhost ([127.0.0.1]:50206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIYv2-0006sl-Cu
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:23:36 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:42998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIYv0-0006sW-D5
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:23:35 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MDIpC6121000;
 Mon, 22 Apr 2019 13:23:26 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=JZ5XTIrEQUSHI4/zsOLje2OT4CmLQUAhpUO9H2R/Zz0=;
 b=AJSRr0WPBMjqCBOiSEw74CeNrMJNFWlgT6MTa04E7XjZXxXogM78ndJswB8MPmiKhp3X
 tWUpyd4jgqoC3Dtvz341nMVYtLVJlvfBCtB9vOxrDPrA6ggXNgaZF5v9OCWQ5qll9iJb
 PjWm3V/ObvCzHbgNOZbvvvR6/+PmvGrgj73mcLFyqAw+KAIFZyEqYV2N/PszuLI7Ts6n
 AYQ/U/vDvt6TeSLyaBWq8VOhlX9gkcIM2v8S4wumdiyFqydvJ93FWxtOTfzd0ldedw8b
 yh83mfnfk7nsvq5PAdTRVP7KqWHgcGi4Zha5HepWKNJdCt16dNDt5Le5Qbg07Vnndn6w BQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by aserp2130.oracle.com with ESMTP id 2ryrxcpd4n-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 13:23:26 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MDNFvH030874;
 Mon, 22 Apr 2019 13:23:25 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3030.oracle.com with ESMTP id 2ryrhrgkeu-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 13:23:25 +0000
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x3MDNOlK021463;
 Mon, 22 Apr 2019 13:23:24 GMT
MIME-Version: 1.0
Message-ID: <0cba4d18-17d0-4294-a1d4-20cd6d5da49a@default>
Date: Mon, 22 Apr 2019 06:23:23 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<<<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>	<83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>>>>
 <<<<83v9z6732b.fsf@HIDDEN>>>>
 <<<376d5335-eb80-4272-8847-e764242a02b7@default>>>
 <<<83r29u70cy.fsf@HIDDEN>>> <<c1e7f520-7dff-41e0-ba01-9828b87cb703@default>>
 <<83imv66vi2.fsf@HIDDEN>>
In-Reply-To: <<83imv66vi2.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=963
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904220101
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=981 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904220101
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > > FWIW, I see no important reasons to set point in XREF buffers by
> > > clicking the mouse.
> >
> > It's always important to be able to set point by
> > clicking the mouse.
>=20
> I disagree.  And it's easy to disagree, because you didn't provide any
> rationale, none at all.

Of course I did - more than one, and more than once now.
Click a mouse button to set point, select a window, and
focus its frame.  Is that not enough rationale for you?

I find it really hard to believe that this is not
obvious to you.

Surely you used a mouse with Emacs before we
switched the default behavior to having mouse-1,
not mouse-2, follow links?  And surely you've
accidentally clicked mouse-1 on a link (e.g. in
Dired) when all you wanted to do was select the
window?

In any case, surely you do realize or can
imagine that at least some Emacs users set
`mouse-1-click-follows-link' to nil?  Surely
you can imagine that removing the effect of
that setting for *xref* buffers could be
upsetting and surprising to them, no?

> > Do you think that buffer *xref* is different in this
> > regard from Dired, compilation, or Occur buffers?
> > How so?  These are buffers that are dense with links,
> > making it important that users can use the mouse not
> > only to follow links but also to set point.
>=20
> There are no links in the XREF buffer, not really.  This buffer is an
> aid to select on of several possible symbols, that's all.

Sigh.

The "non-links" have `mouse-face'. They have a `keymap'
property that binds `mouse-1' and `mouse-2' to commands
that follow the "non-link" to its location.  They have
`:help-echo' that says "mouse-2: display in another
window, RET or mouse-1: follow reference".  When you
click them or hit RET or C-o they sure seem to follow
the "non-links".  What am I missing?

Using `A' In Dired puts me in an *xref* buffer.  Using
the "non-links" in that buffer do NOT, in any way that
I can imagine you might mean, "select on[e] of possible
symbols".

I can follow these "non-links", but I'm really having
trouble following you.  And the problem (this bug) is
that I cannot NOT follow these "non-links".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 13:08:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 09:08:31 2019
Received: from localhost ([127.0.0.1]:50168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIYgQ-0006TQ-9Y
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:08:31 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:46364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIYgO-0006TC-GQ
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:08:29 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MD4RkY102245;
 Mon, 22 Apr 2019 13:08:22 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=kUdfjRRoJgnR0rKgpymRHmWxOt0JGQhVhojwyDXUUso=;
 b=1zs7iOHczopWPcGJppyCFD5NWlEkXLcMudI9E/U3lm5mk7y7PlCeRILh7b+c9dvWe++x
 1z/oCh7fIGCQdHLyaHigfEt7Yc82X7pLOskijqpqHSOTWWH+XfETdfCsos7Rq1qrWrlX
 wglg+9mvqAeqh84HMZK/TEN4AM9idHhIV7eI1E/HBffYfaVTA/PiB9hkb9/o4f9PK5mF
 ZCDjg5pRYrX0eqiw8NankyfpItBxo9mvzd6t86hL+ihcHB0pxxtcJ1mGwl4LRLPYrTFe
 UWX/3piPeHjFDDVZb75i+Ly+xW9IKKV9tClkFfHSmq/5KV+/DJXT0K9AFc1M4liV4i60 7A== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 2rytusp55y-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 13:08:22 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MD8LGU191280;
 Mon, 22 Apr 2019 13:08:21 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3030.oracle.com with ESMTP id 2s0f0ux7a6-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 13:08:21 +0000
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x3MD8GQG024697;
 Mon, 22 Apr 2019 13:08:16 GMT
MIME-Version: 1.0
Message-ID: <70e7fbc3-aeb5-460f-9a59-e5dfc902d15f@default>
Date: Mon, 22 Apr 2019 06:08:16 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
 <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
In-Reply-To: <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904220100
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904220099
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > The downside is that the "show location but don't switch windows" actio=
n
> > becomes harder to invoke: you have to mouse-1 click, wait at least 450m=
s
> > (by default), then release.
>=20
> Perhaps there could be a new user option to choose which of the two
> actions should be used by mouse-2 and mouse-1, and then users with
> mouse-1-click-follows-link disabled could configure their preferred
> action for mouse-2.
>=20
> In any case, the NEWS will need to point out the change of behaviour,
> so it could always suggest custom key bindings which users could employ
> to get different behaviour, if that's simplest.

What is the "show location but don't switch windows"
action?  Is it `xref--show-location' or some command
that invokes that function?

I don't see (in Emacs 26.2) any mouse action that
shows the location but does not switch windows.  I
see only `C-o' (`xref-show-location-at-point'),
whose name says it does that, but only for point,
not for the mouse position.  (And when I try `C-o'
it too switches to another window, the same as `RET'.)

In any case, how is Xref different from, say, Occur
wrt mouse actions and the general interaction?  What
makes it so special that it should be problematic to
fix this bug?

(Node `Xref Commands' of the Emacs manual calls the
mode "the special XREF mode".  How is it "special"?
Or is that supposed to mean only that it is a child
of `special-mode'?  If that's it then I think this
language will only confuse users, most of whom are
not aware of `special-mode', or at least not thinking
of it here.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 13:05:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 09:05:27 2019
Received: from localhost ([127.0.0.1]:50163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIYdS-0006OZ-OS
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:05:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIYdQ-0006OK-UK
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:05:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40367)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIYdL-0000L7-JS; Mon, 22 Apr 2019 09:05:19 -0400
Received: from [176.228.60.248] (port=2440 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIYdJ-0000h9-9c; Mon, 22 Apr 2019 09:05:17 -0400
Date: Mon, 22 Apr 2019 16:05:09 +0300
Message-Id: <83imv66vi2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <c1e7f520-7dff-41e0-ba01-9828b87cb703@default> (message from Drew
 Adams on Mon, 22 Apr 2019 05:23:17 -0700 (PDT))
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>	<83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>>>
 <<<83v9z6732b.fsf@HIDDEN>>> <<376d5335-eb80-4272-8847-e764242a02b7@default>>
 <<83r29u70cy.fsf@HIDDEN>> <c1e7f520-7dff-41e0-ba01-9828b87cb703@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 22 Apr 2019 05:23:17 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: dgutov@HIDDEN, 35353 <at> debbugs.gnu.org
> 
> > FWIW, I see no important reasons to set point in XREF buffers by
> > clicking the mouse.
> 
> It's always important to be able to set point by
> clicking the mouse.

I disagree.  And it's easy to disagree, because you didn't provide any
rationale, none at all.

> Do you think that buffer *xref* is different in this
> regard from Dired, compilation, or Occur buffers?
> How so?  These are buffers that are dense with links,
> making it important that users can use the mouse not
> only to follow links but also to set point.

There are no links in the XREF buffer, not really.  This buffer is an
aid to select on of several possible symbols, that's all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 12:23:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 08:23:28 2019
Received: from localhost ([127.0.0.1]:50086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIXyq-0005NB-3V
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 08:23:28 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:36590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIXyo-0005Mt-Cq
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 08:23:26 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MC8Yft074511;
 Mon, 22 Apr 2019 12:23:20 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=m5Fm1NEMg+mcJERb9QloSo1saMPQaSJF7V2yAKd09bI=;
 b=qRxTdCSusWiRjnS3/+Q/78d09luh7lzXUFbcylJhvHV5bSCk91uUIOoNv0aFuBVm2Pl+
 cYSQw+b1gwX5vo1P9LphOzt2DjMJtg8VBX8lAUF0EL8J1SVpQ+6Ce0+l9bVDaOGphEBE
 TC2K56EQZ8tMjrE8jgFu1+32eztkZCXtQpT2Dwpo7jZuPeAZNoTwuVMolTBAbvq2+Awb
 4mRx7oPrtjA/xE3q7B2w8gsd2oz+bBV9yaMPwa+jvA/hiyxfM2L6UYgIIJoV90kSbUIa
 oPlyAuBHPjAjKhJnXtNh0e09Zuyu9IxceS+6resNBTD6bMO6qDGkckxQysJjMGX1mibJ 3Q== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2120.oracle.com with ESMTP id 2ryv2pwucs-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 12:23:20 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MCMlxo062889;
 Mon, 22 Apr 2019 12:23:19 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3020.oracle.com with ESMTP id 2s0dwdp24m-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 12:23:19 +0000
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x3MCNH1p003377;
 Mon, 22 Apr 2019 12:23:18 GMT
MIME-Version: 1.0
Message-ID: <c1e7f520-7dff-41e0-ba01-9828b87cb703@default>
Date: Mon, 22 Apr 2019 05:23:17 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>	<83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>>>
 <<<83v9z6732b.fsf@HIDDEN>>> <<376d5335-eb80-4272-8847-e764242a02b7@default>>
 <<83r29u70cy.fsf@HIDDEN>>
In-Reply-To: <<83r29u70cy.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=531
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904220094
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=548 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904220094
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > > FWIW, I don't see that as a serious issue in this case.  Feel free to
> > > close as wontfix, if you want.
> >
> > Seriously?  Mouse-2 was the original way to follow
> > links.  And ubiquitously in Emacs users need to be
> > able to set point.  They should be able to do so
> > using `mouse-1'.
>=20
> FWIW, I see no important reasons to set point in XREF buffers by
> clicking the mouse.

It's always important to be able to set point by
clicking the mouse.

That's the reason why even when `mouse-1' follows
a link we let users instead set point using `mouse-1'
by just holding it pressed longer before releasing it.

And it's the reason we have option
`mouse-1-click-follows-link': to let users not have
`mouse-1' follow links with a non-slow click.

And it's the reason the manual establishes the
convention.  As it says (quoted more extensively
earlier):

 Many special major modes, like Dired, Info, Compilation,
 and Occur, are designed to handle read-only text that
 contains "hyper-links".

It is precisely in these contexts - of which buffer
*xref* is one, that it is important to respect option
`mouse-1-click-follows-link'.

That's the point of that passage.  Users need to be
able to follow links, but they also need to be able
to set point.  How they do one or the other is
decided by their individual preference, using option
`mouse-1-click-follows-link'.

And I pointed out in the original report specifically
how the bug is a problem for users with the option nil:

It's impossible to click `mouse-1' anywhere inside the
window to select it, set point, and focus its frame
(unless you can find and click the file line preceding
a boatload of links - and that line might even be
outside the window, in which case you're completely
out of luck).

> > Not to mention that this violates the explicit Emacs
> > convention (cited earlier).
>=20
> It doesn't, your citation is not necessarily relevant to the issue at
> hand.

Why do you think so?  I think it is exactly relevant -
see above.

Do you think that buffer *xref* is different in this
regard from Dired, compilation, or Occur buffers?
How so?  These are buffers that are dense with links,
making it important that users can use the mouse not
only to follow links but also to set point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:42:23 2019
Received: from localhost ([127.0.0.1]:49993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIXL4-0004NB-Q3
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:42:22 -0400
Received: from smtp-2.orcon.net.nz ([60.234.4.43]:35392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1hIXL2-0004N0-Mb
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:42:21 -0400
Received: from [150.107.172.17] (port=13916 helo=[192.168.20.103])
 by smtp-2.orcon.net.nz with esmtpa (Exim 4.86_2)
 (envelope-from <psainty@HIDDEN>)
 id 1hIXKv-0003BL-9O; Mon, 22 Apr 2019 23:42:13 +1200
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
 <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <017d79f2-f98b-2e61-4abe-5ce9495008b3@HIDDEN>
Date: Mon, 22 Apr 2019 23:42:12 +1200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35353
Cc: Eli Zaretskii <eliz@HIDDEN>, 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 22/04/19 10:57 PM, Dmitry Gutov wrote:
> The downside is that the "show location but don't switch windows" action
> becomes harder to invoke: you have to mouse-1 click, wait at least 450ms
> (by default), then release.

Perhaps there could be a new user option to choose which of the two
actions should be used by mouse-2 and mouse-1, and then users with
mouse-1-click-follows-link disabled could configure their preferred
action for mouse-2.

In any case, the NEWS will need to point out the change of behaviour,
so it could always suggest custom key bindings which users could employ
to get different behaviour, if that's simplest.


-Phil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:34:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:34:18 2019
Received: from localhost ([127.0.0.1]:49975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIXDG-0004Ba-Jd
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:34:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIXDF-0004BO-1U
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:34:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39241)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIXD9-00020R-Jo; Mon, 22 Apr 2019 07:34:11 -0400
Received: from [176.228.60.248] (port=4788 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIXD7-0007W8-MI; Mon, 22 Apr 2019 07:34:11 -0400
Date: Mon, 22 Apr 2019 14:34:00 +0300
Message-Id: <83pnpe6zpz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <e206c259-4aac-851f-3327-282d39b73525@HIDDEN> (message from
 Dmitry Gutov on Mon, 22 Apr 2019 14:30:37 +0300)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN> <83sgua70fw.fsf@HIDDEN>
 <e206c259-4aac-851f-3327-282d39b73525@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 35353 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 22 Apr 2019 14:30:37 +0300
> 
> On 22.04.2019 14:18, Eli Zaretskii wrote:
> 
> >> The patch looks like this (to be accompanied with an appropriate renaming):
> > 
> > I'm not against fixing this if the fix is easy and doesn't have
> > unpleasant consequences.
> 
> It takes us the mouse-2 binding? But I guess we could move it to mouse-3?

To tell the truth, I fail to see how mouse-2 and mouse-1 are different
in the default configuration.  (They are bound to different commands,
but the effect is the same, AFAICT.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:30:49 2019
Received: from localhost ([127.0.0.1]:49969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIX9t-0002hE-24
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:30:49 -0400
Received: from mail-lj1-f175.google.com ([209.85.208.175]:41560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hIX9r-0002Zz-6C
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:30:48 -0400
Received: by mail-lj1-f175.google.com with SMTP id k8so10018821lja.8
 for <35353 <at> debbugs.gnu.org>; Mon, 22 Apr 2019 04:30:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=OfoQrn/URZOEyQKXdi+LEN3PO/ykfR1N0CLfhwuZxM4=;
 b=KtV0sAV6VauKaCTsWX7AyHEZtUfdm4c0GjwenAL9RRNCjhga6zzeS3g2Bt74B5yYCC
 LDB9G/UZM7BQpG18NRIywTax/T7mCUEjOj9Z8hIJvN00uVKbNJu+3jF2NBRXYqJbBWAx
 gfRdurqq7Q5Y3x8B/+r9u6j5RZ47Q0msPsNu3Fd2kwA0CCkQA1TIwKhWGdqmv/HaHcmt
 BOSRV9yBRdekhDSmCd3fg7qFV6Vcx6H+5XubxOWX5nDQWq1Bw+z5M38uWb5Xd8Uj9L8A
 9O10lqgWrdPIe9sT2BQFvGUwhuHgCctFDbzoXnbAiPaXWwFkfccE+71oHHlF7RowMPfU
 HYGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=OfoQrn/URZOEyQKXdi+LEN3PO/ykfR1N0CLfhwuZxM4=;
 b=PtYLdsQsBc1is5QjgwNjvMSPT4IF8kh/4up0pX/O+XkQeFROYc/KMjh5ap+5Y2lr+X
 l4Ja88PRXpz3Fq15/7hK0hVFvvyHWe78TsOzLITv8RIKXb2BbNzIH/o6g5P3tzGRUg5d
 BsMAUZPDQp6wN5lUft2TnhHfVi3X5PxpBEviCr3OenhMaKZQzL3cHKUOUd3jqJsMlvkm
 EuDcMKPZxBWobgFfDHhLD2OtN6isK/HTH/Tp9qEDLFiL4QXALwjYAeKkNz8dZkLBxdmy
 R5LE8jcvLWPNL3UyI97h4EnVpavjgqwtw2BLlWwTEFJo16Dnp24HROW1JW8DC0rhB1FQ
 j+cg==
X-Gm-Message-State: APjAAAUhPflf01n5ew70R0DRooh/N1B3Cav3ZkKb3wCbYRIwPLa6RZ81
 AaM9MmVCImKtub+6G7CTOj6lmMJe
X-Google-Smtp-Source: APXvYqylNkbEv8WINgGkC+imjsBIX5XQPFUo7fjjaYZf9IBD3sPm/RT9doavDDQmo8XimUWJSFpLmA==
X-Received: by 2002:a2e:9888:: with SMTP id b8mr9569609ljj.67.1555932640852;
 Mon, 22 Apr 2019 04:30:40 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id r21sm4024ljg.51.2019.04.22.04.30.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Apr 2019 04:30:39 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Eli Zaretskii <eliz@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN> <83sgua70fw.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e206c259-4aac-851f-3327-282d39b73525@HIDDEN>
Date: Mon, 22 Apr 2019 14:30:37 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <83sgua70fw.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 22.04.2019 14:18, Eli Zaretskii wrote:

>> The patch looks like this (to be accompanied with an appropriate renaming):
> 
> I'm not against fixing this if the fix is easy and doesn't have
> unpleasant consequences.

It takes us the mouse-2 binding? But I guess we could move it to mouse-3?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:20:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:20:34 2019
Received: from localhost ([127.0.0.1]:49936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWzy-0001mu-1A
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:20:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIWzw-0001me-6n
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:20:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39145)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIWzp-0001hF-1P; Mon, 22 Apr 2019 07:20:26 -0400
Received: from [176.228.60.248] (port=3941 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIWzl-0005NI-K3; Mon, 22 Apr 2019 07:20:23 -0400
Date: Mon, 22 Apr 2019 14:20:13 +0300
Message-Id: <83r29u70cy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <376d5335-eb80-4272-8847-e764242a02b7@default> (message from Drew
 Adams on Mon, 22 Apr 2019 04:07:54 -0700 (PDT))
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>	<83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>> <<83v9z6732b.fsf@HIDDEN>>
 <376d5335-eb80-4272-8847-e764242a02b7@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 22 Apr 2019 04:07:54 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 35353 <at> debbugs.gnu.org
> 
> > > > So we already support mouse-1 clicks, don't we?  Or am I again missing
> > > > something?
> > >
> > > Yes, but apparently we don't honor mouse-1-click-follows-link.
> > 
> > FWIW, I don't see that as a serious issue in this case.  Feel free to
> > close as wontfix, if you want.
> 
> Seriously?  Mouse-2 was the original way to follow
> links.  And ubiquitously in Emacs users need to be
> able to set point.  They should be able to do so
> using `mouse-1'.

FWIW, I see no important reasons to set point in XREF buffers by
clicking the mouse.

> Not to mention that this violates the explicit Emacs
> convention (cited earlier).

It doesn't, your citation is not necessarily relevant to the issue at
hand.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:18:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:18:44 2019
Received: from localhost ([127.0.0.1]:49931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWyC-0001js-K4
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:18:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIWyA-0001jf-JH
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:18:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39111)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIWy5-0000nm-7K; Mon, 22 Apr 2019 07:18:37 -0400
Received: from [176.228.60.248] (port=3834 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIWy4-0003z7-C2; Mon, 22 Apr 2019 07:18:36 -0400
Date: Mon, 22 Apr 2019 14:18:27 +0300
Message-Id: <83sgua70fw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN> (message from
 Dmitry Gutov on Mon, 22 Apr 2019 13:52:17 +0300)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 35353 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 22 Apr 2019 13:52:17 +0300
> 
> On 22.04.2019 13:21, Eli Zaretskii wrote:
> 
> > FWIW, I don't see that as a serious issue in this case.  Feel free to
> > close as wontfix, if you want.
> 
> The fix is not hard, though. Is the variable more targeted on other use 
> cases? Or is it just obscure enough for us not to bother?
> 
> The patch looks like this (to be accompanied with an appropriate renaming):

I'm not against fixing this if the fix is easy and doesn't have
unpleasant consequences.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:08:04 2019
Received: from localhost ([127.0.0.1]:49917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWns-0001Ty-6T
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:08:04 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:44082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIWnq-0001TK-Ef
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:08:02 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MAxSUN009273;
 Mon, 22 Apr 2019 11:07:57 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=ycMs1A78+w0jUKmYbF2D9Zk7SY5lHrT9qL+kP1pywHk=;
 b=YIKuVHtA30fY5F44cSLqSLc5B+TGN4XFZtTVXgNdfKG5GuZ6N1O7u1bT9om+60XYyNiW
 hzmZ28MqELSMqJy/+o/yp4ItaKf+vfm6AlcWtL+fDSD+9qZiM9tF00a4eKeJh3a7sxp/
 WwzC6bPGtGu0NcnccZiadQKI9EuSU6ubTEIRzIapvDM1FipkpkNLiaXAnUEhs6Ct5a2i
 3jIcAEWNwqKeHoRPrSCu065VsQ0gu3HYfItuI2sFvbXFQS+pnRjhFd42vhE/cEc0leRt
 OURyFLQ34tTKdutSZjC19Ad3CK3Ow/JlQg32liek7QXZtmtF2cBeYSLh3EIEEosOrP05 FA== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 2rytusnq37-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 11:07:56 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MB6Lun161620;
 Mon, 22 Apr 2019 11:07:56 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3030.oracle.com with ESMTP id 2s0f0uw0sh-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 11:07:56 +0000
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x3MB7t2u026327;
 Mon, 22 Apr 2019 11:07:55 GMT
MIME-Version: 1.0
Message-ID: <376d5335-eb80-4272-8847-e764242a02b7@default>
Date: Mon, 22 Apr 2019 04:07:54 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>	<83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>> <<83v9z6732b.fsf@HIDDEN>>
In-Reply-To: <<83v9z6732b.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=855
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904220085
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=877 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904220085
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > > So we already support mouse-1 clicks, don't we?  Or am I again missin=
g
> > > something?
> >
> > Yes, but apparently we don't honor mouse-1-click-follows-link.
>=20
> FWIW, I don't see that as a serious issue in this case.  Feel free to
> close as wontfix, if you want.

Seriously?  Mouse-2 was the original way to follow
links.  And ubiquitously in Emacs users need to be
able to set point.  They should be able to do so
using `mouse-1'.

We have `mouse-1-click-follows-link' for a reason.
Why should this be the only place (AFAIK) in Emacs
where it is not respected?  Any user who uses nil
for that option will find Xref unusable.

Not to mention that this violates the explicit Emacs
convention (cited earlier).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 11:07:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:07:27 2019
Received: from localhost ([127.0.0.1]:49910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWnF-0001Sh-He
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:07:27 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:43472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIWnE-0001SV-2F
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:07:24 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MB03qe009982;
 Mon, 22 Apr 2019 11:07:18 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=P3QiFrhiqojuke+RJwwm2LpH42QmMILr8genzDHV3UU=;
 b=v1ILUMrmJ38kPpVhI+Jjm/2M6dq0ny+x4C/zHzwfJO/netHjkOWneXshDuZ2IaU8AG9L
 lsjETsQlOE6zi7mBWmzUDYsttPnwhmiifD3Ie+m4MrnToHY+JrRMQPR5eb8hcq0K9fxz
 ALqT6/qXjAMG4cfrDPg+XcTufnjPFZGnPoAFOcL2Xf1Vbzw5Qh6QSj7YzVJgY3nh7v2X
 5AHiHqUHypd/9gF5LvDXDObaS9XS6H/m9P5VXp/cdv0FE+DubGE/wDlJXxDr07n79ZOH
 D6RgC7MJ0ZbRluU0jgTioATUTbjmkS1n/NrQNTBrq9yE/A8Gxc8p2Ji3w5eN1Sg+BXlh Wg== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 2rytusnq11-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 11:07:18 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MB7DDu164696;
 Mon, 22 Apr 2019 11:07:17 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3030.oracle.com with ESMTP id 2ryrhrf6bm-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 11:07:17 +0000
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x3MB7DJj014027;
 Mon, 22 Apr 2019 11:07:13 GMT
MIME-Version: 1.0
Message-ID: <2f6a7d67-dbed-4469-afd9-4dfba7176bbe@default>
Date: Mon, 22 Apr 2019 04:07:12 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
In-Reply-To: <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904220085
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904220085
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >>> So we already support mouse-1 clicks, don't we?  Or am I again missin=
g
> >>> something?
> >>
> >> Yes, but apparently we don't honor mouse-1-click-follows-link.
> >
> > FWIW, I don't see that as a serious issue in this case.  Feel free to
> > close as wontfix, if you want.
>=20
> The fix is not hard, though. Is the variable more targeted on other use
> cases? Or is it just obscure enough for us not to bother?

The variable is not obscure at all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 10:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:58:41 2019
Received: from localhost ([127.0.0.1]:49880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWen-0001EO-IV
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:58:41 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:40376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIWem-0001EB-09
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:58:40 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MArrvD022174;
 Mon, 22 Apr 2019 10:58:33 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=N32YxNDmbykPJtAatLJ740lrtW4WwrJ7QDExSn4Ccys=;
 b=SE1IPmzcpwrcALr215/iJf90+qPEXr2X//+AOYQvYuWNv6G6UoXroGEneGMdQeSpPu+s
 1iAxtakVzBZGdt1F5LCLAWdzbBV4bim6s7Iv3A8t6I4S7ND4/IrT/+C/kv6f4BO0aMA2
 pa2LhI3oLy98fsqL7vj/39IZSP0O4gBu5KNmgB2ds09szV6w2vQHs+LmhYwEPuEtB2bZ
 GQtpR4zBHSCurt++AdPR7Eip4fw/gue4xQLA+pZy36ejM4/rjipkpsBmGfvn7nks84i+
 JmgzY4MNFM548AOmgJgv6Moo9McAXx5e29P3iZU+Yufv4qV7ZYQS3y9HHfoYYgKGcwxn ZQ== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2120.oracle.com with ESMTP id 2ryv2pwjbh-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 10:58:33 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3MAwWfh170688;
 Mon, 22 Apr 2019 10:58:32 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3020.oracle.com with ESMTP id 2s0fv2cgm0-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Apr 2019 10:58:32 +0000
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x3MAwVXP022961;
 Mon, 22 Apr 2019 10:58:31 GMT
MIME-Version: 1.0
Message-ID: <fd380722-5214-4b7f-9ddf-824d71b0f18e@default>
Date: Mon, 22 Apr 2019 03:58:30 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <<96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>	<83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>> <<83y34273mu.fsf@HIDDEN>>
In-Reply-To: <<83y34273mu.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=18
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=569
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904220084
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=18 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=593 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904220084
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > > I'm not sure I follow: currently, mouse-2 does "follow the link"
> > > already,
> >
> > It calls xref--mouse-2, see xref--button-map.
> > That function displays the location, but keeps the Xref window selected=
.
> >
> > > and I believe this bug report will be satisfied if we cause
> > > mouse-1 to do the same when mouse-1-click-follows-link is in effect.
> > > And mouse-1 is not currently bound in Xref buffers.
> >
> > ?? It's bound to xref-goto-xref, see the same map.
>=20
> Sorry, I just looked in the manual.
> So we already support mouse-1 clicks, don't we?
> Or am I again missing something?

What do you mean by "support mouse-1 clicks"?
We support them following a link, but we don't
support them not following a link.

`mouse-1' clicks follow the link, regardless of
`mouse-1-click-follows-link'.  When that variable
is nil a `mouse-1' click should not follow a link.

In the nil case it should typically (default
behavior) just set point (or begin a region drag) -
`mouse-drag-region' for `down-mouse-1' and
`mouse-set-point' for `mouse-1'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 10:57:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:57:33 2019
Received: from localhost ([127.0.0.1]:49870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWdg-0001Bg-TJ
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:57:33 -0400
Received: from mail-lj1-f171.google.com ([209.85.208.171]:35334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hIWdf-0001BR-SO
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:57:32 -0400
Received: by mail-lj1-f171.google.com with SMTP id t4so9959207ljc.2
 for <35353 <at> debbugs.gnu.org>; Mon, 22 Apr 2019 03:57:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=8feYzTpxBrC2sA0R26KHSdyAQ+fwSV/Tr+3gf2vgUvI=;
 b=e7jbR8jIUnWB6UIuhI8l+iH0wgkOD8nocrm18higmFX8Shm4VF1rl2s8xkWkNJVxBn
 l2NhkwQ5+VH5rZONFB8BP6vQpOpCzO16q1MQU/9/kiOrL90He9Q8pbt52Q1gxBMzADUR
 0owPV3OA3DIh+CckltpVZu2OLbfTCodXv1VXqM+r5FoZabwYnlJXpNpor61ick9q2B0k
 x6olOIpFnnajNQFQI+4vuvc0o2zq0alu4S30yTQK+g8ZZ8ShVaQylrYJnXLIf69+Poub
 0P+f0MnVvo2WE20rgHkAPTMILFxWoK7Qlke8fDBSzYZkjsblmbzRjuF8b1dLoN2wi+bi
 jyeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:from:to:cc:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=8feYzTpxBrC2sA0R26KHSdyAQ+fwSV/Tr+3gf2vgUvI=;
 b=pJGUCgNPZUC/kuY4Ep4xrso+HSuG4ksk6OyD7zIjfZ+ewtkYkD6hvnJhxKqoqt+Oto
 WWNJDakihlvDBpqswcg5p9fJKwjVmRZXnXiS9lnhwyhjrBXVtV5ZB+9kLXpywvRmfwY4
 RIYkvhGosgXOFF5fUeMSYHBWiWnltViaF9VlW2GmJCIfit3mlgIzPshyLNMuo8o0XHcg
 Agx/Jh/zXnTKY2S1FHFmqEQRP3JSUSEQdDwUF/OnHExYANwWh951Mu5as4i/fY9eo/E+
 hdDErOeIJHuiSNwoBWoQOByJqdy0R5jnmwFB8sksrxiK98D05vbhkq2FyOlcF+pEp4zk
 +s4A==
X-Gm-Message-State: APjAAAXFh1K8e0iofrucIkIoEV85L3308de7UETS98rYIbnTF8jWaeqR
 ew3ON3rawtP/ceIuF2t8/+6zKwzk
X-Google-Smtp-Source: APXvYqxj4CljZnlqB5M3melFu1i98TH7iALdyBd27QOzTx+djB5mrVcuSx9jUFOIa/JwNZJWWiFeJA==
X-Received: by 2002:a2e:9d12:: with SMTP id t18mr9873362lji.163.1555930645560; 
 Mon, 22 Apr 2019 03:57:25 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id b5sm2922648lfo.16.2019.04.22.03.57.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Apr 2019 03:57:24 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
From: Dmitry Gutov <dgutov@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
 <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
Message-ID: <7837cd5b-819b-66b1-c14d-d8742f3860b5@HIDDEN>
Date: Mon, 22 Apr 2019 13:57:22 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 22.04.2019 13:52, Dmitry Gutov wrote:
> The patch looks like this

The downside is that the "show location but don't switch windows" action 
becomes harder to invoke: you have to mouse-1 click, wait at least 450ms 
(by default), then release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 10:52:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:52:31 2019
Received: from localhost ([127.0.0.1]:49855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIWYp-00013e-7R
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:52:31 -0400
Received: from mail-lf1-f67.google.com ([209.85.167.67]:36333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hIWYk-00013N-SW
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:52:27 -0400
Received: by mail-lf1-f67.google.com with SMTP id u17so8674340lfi.3
 for <35353 <at> debbugs.gnu.org>; Mon, 22 Apr 2019 03:52:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=NYsUdhrpUqtBQUKEtoqn6gQuBT1Eu/UF4hHpfHCr2B0=;
 b=Fwa4AeanYX3l6BAdFJbRzsHENdfMB4+gIV3wH+hWUjjOzoKTkpnNN7bM7WigdoaJ+R
 inmnixXJLVeqeVMtF+0hXUsbOtnbLHPqpf1oS7G4C1g9fkwKJl/AGsdimFmD0PaK64L4
 lhikL0H7HW7OdP2C3shz9p9+7rAzWnhL5ZnUBEsmb8T0Rhre5LVxQExyTSCqDk6bW0lg
 gl07WACwHzaRteM1PQvLP7Nssy8Y0Xs+2QDs6GEj4xpgv95+4iVk8ebS9F2e/1nYQaqT
 kBgHWX2dwRfECZJXNQ4cvuNh126ECRe5NZIMdm1+pVOk4/xWtFx2rD4ZXh+epcnU7rDF
 2TVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=NYsUdhrpUqtBQUKEtoqn6gQuBT1Eu/UF4hHpfHCr2B0=;
 b=KFtNQSjz78HzUwBdjBJjhaW2JvQNSYLi42zYUfg9/fgNvvMVNQFpVNDIyICiZTucye
 tJ8nbN7Btx0aYegnJiJiXXq6vU+9A1USogKhIZuOVObsbXsdMorm7QK52kTW6B1Qvon9
 GQhelXmzK9Ozu0Z4MHGZR8Pks2AuciegRPW7+pDeE7nHqhTUr8xMXIdbgiSAwiyOpw2u
 ei3TqoicoX5QA6LfK0/IpBxqhyY7kp4paKwqmo+miKV7JN0SUIlSid2zcspEV140y1SB
 p6lL2PJksQtnf/aTV59IL1BRFjdVO4hiMzFFFITEkiZC0TLdOnb+oXRU/SMwc5YovlUZ
 jDaA==
X-Gm-Message-State: APjAAAWvoY2ZZFc7IPGMIAT/DAzs50x3S6mPwcQvidsQEuZMRQIwnBMq
 bYSLo6A27Gz2Q9pne28kK/oLfNHz
X-Google-Smtp-Source: APXvYqwRHRGJC4s18+tLRGVrS0l6B1yjR/Ytjhu1dRkQUrRIaLn0mdwXzjBAdXbOHLcjyJzdRTu+Fw==
X-Received: by 2002:ac2:48a5:: with SMTP id u5mr9801404lfg.115.1555930340631; 
 Mon, 22 Apr 2019 03:52:20 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id v11sm2900795lfb.68.2019.04.22.03.52.18
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Apr 2019 03:52:19 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Eli Zaretskii <eliz@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> <83v9z6732b.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <c3196792-c576-bb89-e55a-b77b4f4111e5@HIDDEN>
Date: Mon, 22 Apr 2019 13:52:17 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <83v9z6732b.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 22.04.2019 13:21, Eli Zaretskii wrote:

>>> So we already support mouse-1 clicks, don't we?  Or am I again missing
>>> something?
>>
>> Yes, but apparently we don't honor mouse-1-click-follows-link.
> 
> FWIW, I don't see that as a serious issue in this case.  Feel free to
> close as wontfix, if you want.

The fix is not hard, though. Is the variable more targeted on other use 
cases? Or is it just obscure enough for us not to bother?

The patch looks like this (to be accompanied with an appropriate renaming):

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index e5e59721eb..463f72ae6f 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -722,8 +722,9 @@ xref--next-error-function
  (defvar xref--button-map
    (let ((map (make-sparse-keymap)))
      (define-key map [(control ?m)] #'xref-goto-xref)
-    (define-key map [mouse-1] #'xref-goto-xref)
-    (define-key map [mouse-2] #'xref--mouse-2)
+    (define-key map [follow-link] 'mouse-face)
+    (define-key map [mouse-2] #'xref-goto-xref)
+    (define-key map [mouse-1] #'xref--mouse-2)
      map))

  (defun xref--mouse-2 (event)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 10:22:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:22:15 2019
Received: from localhost ([127.0.0.1]:49809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIW5V-0000Bz-RL
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:22:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIW5U-0000Bm-9S
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:22:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38454)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIW5H-0007yv-AG; Mon, 22 Apr 2019 06:21:59 -0400
Received: from [176.228.60.248] (port=4308 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIW5E-0003Lh-V0; Mon, 22 Apr 2019 06:21:57 -0400
Date: Mon, 22 Apr 2019 13:21:48 +0300
Message-Id: <83v9z6732b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN> (message from
 Dmitry Gutov on Mon, 22 Apr 2019 13:18:03 +0300)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
 <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 35353 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 22 Apr 2019 13:18:03 +0300
> 
> On 22.04.2019 13:09, Eli Zaretskii wrote:
> 
> > So we already support mouse-1 clicks, don't we?  Or am I again missing
> > something?
> 
> Yes, but apparently we don't honor mouse-1-click-follows-link.

FWIW, I don't see that as a serious issue in this case.  Feel free to
close as wontfix, if you want.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 10:18:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:18:14 2019
Received: from localhost ([127.0.0.1]:49801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIW1d-00005D-Uo
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:18:14 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:36672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hIW1c-00004v-Tc
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:18:13 -0400
Received: by mail-lf1-f43.google.com with SMTP id u17so8618107lfi.3
 for <35353 <at> debbugs.gnu.org>; Mon, 22 Apr 2019 03:18:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=8GAau2X6yOREfDuiXaNu4KJ+Jwi/c+CnjZfMoXFzkIE=;
 b=XeeKnukjiPmUcd+vpj4JnpQ1GJAGET8smDc9JvBXZWBc0xKSlkqi9x9RHSHVqXtl9/
 kQUmczwVVAIgVOLorItxseRQN76uG7r9AJY1T2hfWlXIxipcjJdHAmxQuGSvh2uYLTQp
 cwOBP+1HdA8BXLovPU2+MsLKwgcjAzcImLD4+lT7jj1HWVy+JkwRG6qcnTpYhI+B50zh
 TX+vClMtEBTG6qZ3z4L5oCkn+0c/G8XbmsXdQ89bRrASBRqlGlnIZRlHb+gfmXONKv12
 WSIa7UM67iijxDeJbPJj7QoqnMHlEw7LKMQEMnsEjHcgWFCLAWVFkzPuf6aTwb3C6Gxj
 QadA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=8GAau2X6yOREfDuiXaNu4KJ+Jwi/c+CnjZfMoXFzkIE=;
 b=tOnCPQ+iklfqAS2VSunKmPIhURvEu/Z2xeFdLEp658+F4X1tIyRnPCHph5Q6eCvCjP
 Mnp6AW/GE/DyBXZIhlwoib61psEZlO3jx3OylH+QEp8Drkau8dUA/cevoCt5ETytmpJC
 ni82lcYucrnFneUbEA3GzMR7vFBMKtz7HuohXBkKIfwwgDUd7fDvCWyLgTeoorDnpikC
 3XL1EZG1BexiXXd6MRHd5a6lA6YQ7CZZFxzDukqDfn26CQSZz+zMBfxBpFEXj3I3SO2w
 jdZvrkV0daQaaLyyEm5O44PJlt+gqzCEVq4muJWD4aSYkmSEQSP315cclfQmZq7kwoFa
 rgZg==
X-Gm-Message-State: APjAAAWkTS9o0joyAKeVcoBjXsIxqvFyTdHqGmuh4m+n/PQT4CBB9PHL
 qfbjcKB5OZRb0+ALcQjmmWIx6+Xv
X-Google-Smtp-Source: APXvYqzB+PpyD745pByceF93iGEco6xCMCC72Am2DrqU7dFgKJHB90iVUgtvME7VKT073bHTfP3jqw==
X-Received: by 2002:ac2:42d6:: with SMTP id n22mr10033762lfl.57.1555928286696; 
 Mon, 22 Apr 2019 03:18:06 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id q18sm1377879lfm.81.2019.04.22.03.18.04
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Apr 2019 03:18:05 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Eli Zaretskii <eliz@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> <83y34273mu.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2979c506-20e4-4b9f-0215-6f0241238678@HIDDEN>
Date: Mon, 22 Apr 2019 13:18:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <83y34273mu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 22.04.2019 13:09, Eli Zaretskii wrote:

> So we already support mouse-1 clicks, don't we?  Or am I again missing
> something?

Yes, but apparently we don't honor mouse-1-click-follows-link.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 10:09:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:09:48 2019
Received: from localhost ([127.0.0.1]:49784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVtU-0006Ej-6b
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:09:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIVtS-0006ES-BC
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:09:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38350)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIVtL-0002cM-EO; Mon, 22 Apr 2019 06:09:40 -0400
Received: from [176.228.60.248] (port=3556 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIVtK-00026n-Rb; Mon, 22 Apr 2019 06:09:39 -0400
Date: Mon, 22 Apr 2019 13:09:29 +0300
Message-Id: <83y34273mu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN> (message from
 Dmitry Gutov on Mon, 22 Apr 2019 12:48:20 +0300)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
 <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 35353 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 22 Apr 2019 12:48:20 +0300
> 
> On 22.04.2019 12:42, Eli Zaretskii wrote:
> 
> > I'm not sure I follow: currently, mouse-2 does "follow the link"
> > already,
> 
> It calls xref--mouse-2, see xref--button-map.
> 
> That function displays the location, but keeps the Xref window selected.
> 
> > and I believe this bug report will be satisfied if we cause
> > mouse-1 to do the same when mouse-1-click-follows-link is in effect.
> > And mouse-1 is not currently bound in Xref buffers.
> 
> ??
> 
> It's bound to xref-goto-xref, see the same map.

Sorry, I just looked in the manual.

So we already support mouse-1 clicks, don't we?  Or am I again missing
something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 09:48:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:48:32 2019
Received: from localhost ([127.0.0.1]:49747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVYt-0005fG-TO
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:48:32 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:33826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hIVYs-0005f4-JC
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:48:31 -0400
Received: by mail-lj1-f169.google.com with SMTP id j89so9849112ljb.1
 for <35353 <at> debbugs.gnu.org>; Mon, 22 Apr 2019 02:48:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=wxFSH0Gq1RiQkiH2pjy09JtKsdc5nlzVoxiUCnLEmzI=;
 b=mmeYvBJIW3qdY5sFpt2mFJLaFwM8IDh4uK4/iIuICEMKT6Rtd0j3MSwGOnJQGJFE/A
 efTn5TOwcFdfOpdd0Sd3JKlF0A5iJ/AfT+UCWvg2gbyTiYaBlHJETAtQQeN+S5X8Wynr
 h4FXcQoc7HzLGwHb2gU9+7fUgmuNtLbCbStBMOopeyP2m7bOe1XBilwjWjiDvLDrHfYJ
 y3ztJXAWZQQUUDS0HcLOgm+izWaH8ZeTnMmRDpviqFNEYI2MFBT2VbJpJnjLandgz9n9
 cyjQj/RnRt3jCWQFMoTcEJHqoUGxZDf929lm06kN6BuX82CahRI7y5qcjh4eqL8qZKdx
 JqUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=wxFSH0Gq1RiQkiH2pjy09JtKsdc5nlzVoxiUCnLEmzI=;
 b=bdRcT++9jqO/2KZM6p1hT7pLKe7fO4pyDrQp+szAsoCMq+8VElCDX9YeeB8szvj2Lt
 i9wLJllivi1tc23Mi8gDWi3FxqAze1bu3qYxuNxkNYRvr7Vd9e0bGEtSKB9dZ4Ih+YUd
 od2RG/Zhggst3BwMWBnTpTUZiX5PkZNrTUl1q6p2JySuptb8VlPtAkgRsLu2Fq9qhLES
 qPfmtkg8SNC9E9tsgR0fKBm3ibrsGYAqx+Cw/tgsz33hpyJ2GsUHhMQ7tV4YESFkDr0k
 vuiDtmQ2lQz/lKQ3EemqDRmftlVRgwosHyHtQ5gFMAWcLofjM+O2dWdkjqyu1D+BUt78
 0LIw==
X-Gm-Message-State: APjAAAXne/gKXL++RsCTIUuAu3Q+2q7TZQpFw/7NxYBSSxLaYZgScMuM
 9SzsMuToQ43UyzaDSMECB55XIXmr
X-Google-Smtp-Source: APXvYqxfdmjsZAR0WWC036ATuqXFEIhQxoAewtdSRR5Q/GWj8l1NaN8c3iW9OSRdqgIai5H7z3DlIA==
X-Received: by 2002:a2e:8703:: with SMTP id m3mr9301014lji.107.1555926503559; 
 Mon, 22 Apr 2019 02:48:23 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id m4sm2607125ljc.28.2019.04.22.02.48.21
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Apr 2019 02:48:22 -0700 (PDT)
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Eli Zaretskii <eliz@HIDDEN>
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> <83zhoi74vl.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <44b1aa8a-c06c-61f7-0948-0fd20605e938@HIDDEN>
Date: Mon, 22 Apr 2019 12:48:20 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <83zhoi74vl.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 22.04.2019 12:42, Eli Zaretskii wrote:

> I'm not sure I follow: currently, mouse-2 does "follow the link"
> already,

It calls xref--mouse-2, see xref--button-map.

That function displays the location, but keeps the Xref window selected.

> and I believe this bug report will be satisfied if we cause
> mouse-1 to do the same when mouse-1-click-follows-link is in effect.
> And mouse-1 is not currently bound in Xref buffers.

??

It's bound to xref-goto-xref, see the same map.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 09:42:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:42:57 2019
Received: from localhost ([127.0.0.1]:49728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVTV-0005V4-BZ
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:42:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hIVTT-0005Ur-AM
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:42:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37966)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hIVTM-0003Ye-04; Mon, 22 Apr 2019 05:42:49 -0400
Received: from [176.228.60.248] (port=1877 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hIVTL-0007jh-8I; Mon, 22 Apr 2019 05:42:47 -0400
Date: Mon, 22 Apr 2019 12:42:38 +0300
Message-Id: <83zhoi74vl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <469bf659-07b6-8172-287c-2abc53582447@HIDDEN> (message from
 Dmitry Gutov on Mon, 22 Apr 2019 12:24:11 +0300)
Subject: Re: bug#35353: 26.2;
 Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
 <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
Cc: 35353 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 22 Apr 2019 12:24:11 +0300
> 
> It's not hard to fix, but it seems to do that we'll have to give mouse-2 
> a different binding from what it has now. Which is also a breaking 
> change (in Xref).

I'm not sure I follow: currently, mouse-2 does "follow the link"
already, and I believe this bug report will be satisfied if we cause
mouse-1 to do the same when mouse-1-click-follows-link is in effect.
And mouse-1 is not currently bound in Xref buffers.

So how would fixing this constitute a breaking change?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 22 Apr 2019 09:24:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:24:22 2019
Received: from localhost ([127.0.0.1]:49684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVBW-0004yn-8c
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:24:22 -0400
Received: from mail-lf1-f45.google.com ([209.85.167.45]:45415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hIVBV-0004ya-1x
 for 35353 <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:24:21 -0400
Received: by mail-lf1-f45.google.com with SMTP id t11so8497907lfl.12
 for <35353 <at> debbugs.gnu.org>; Mon, 22 Apr 2019 02:24:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:subject:to:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=HeAWLGsrwr6Ukav1RJ3DbGRe9aW4uxr6soT03uah5lg=;
 b=siYrKAR9DqP7vG/Tb6oMI0o0gAwQnAt38fCJdn1eAhEb5mRne4OQfiWgrUY08nrI75
 k6Qi85pHdp9D3eost/bjFm3xjImB63KFB4nF3zkyh5OXTizNV5bTBqVW27Kg6qgH8qpE
 n5gx8lJ05OZvJoE3KSNylDVkkhFNFO53kU17Kp+R1jRL/ppRdGfYYzH5meHHs9V0MKJ5
 LroL3d9L7hRRuhoNPAorCUCWX9d/OhesEi23ooA29F4sFLePf+vMTJlKSBN8BWxEbRrY
 D8mbSDStoML8V4iDZYi6tdSPI0h1Uu7TOdstb5DAQWnhFBtg7S1jEQOI08CHGMRivCHi
 ftRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:subject:to:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=HeAWLGsrwr6Ukav1RJ3DbGRe9aW4uxr6soT03uah5lg=;
 b=omqLlnJY7X8VKjshF8s+ifwfXJDlksSEQlYTQo/zRoWrP+76PcXEsdxyX2LPBc3gVb
 oPYeSPi1BfhJEtAOyxv3mTp1HGMcUltjWLBsFHaa9w0YMlLmGm4OLBaI05VGNfVdR0T2
 NIeGbKEPDSq74TrEfREgl3kFK2pFA9y/iECrSJmLXSayvzhyjey7bbqtpHAzUdid68Hq
 RTDme21fCk+UhUQ92AtHiwL8/WTgdsA0MUo++p6f1qUgCeV0pLpH+6TvwjeCeLjh7jhq
 PUMTGER08dh+iywRLc35OrOqaalmV5RIHd4kbOtr8chab659mAVRWSLFjejRL6IfGOfq
 NOVQ==
X-Gm-Message-State: APjAAAX5F/eOFyrQaKdXfda6jWpmkxqtl4p3mkm9VezPsKjmXjNCfrHA
 p+SAFnpQ+5FmQrJkgk+/emGpVLVp
X-Google-Smtp-Source: APXvYqw8jQ8JjeLZgFKeVc32WN6EzVIC+HY3q/j8LqbXMh5EVIC23n8w5ZO3xeYMi8tPLCA77O3cEQ==
X-Received: by 2002:a19:e30b:: with SMTP id a11mr9674794lfh.4.1555925054788;
 Mon, 22 Apr 2019 02:24:14 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id v4sm2567007ljh.40.2019.04.22.02.24.13
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Apr 2019 02:24:13 -0700 (PDT)
From: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
To: Drew Adams <drew.adams@HIDDEN>, 35353 <at> debbugs.gnu.org
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
 <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
Message-ID: <469bf659-07b6-8172-287c-2abc53582447@HIDDEN>
Date: Mon, 22 Apr 2019 12:24:11 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35353
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 21.04.2019 16:27, Drew Adams wrote:
>> Please respect `mouse-1-click-follows-link'.
> 
> Please contrast what, say, `compile.el' does, which is
> simple and Emacs-conventional:
> 
>   (define-key map [mouse-2]     'compile-goto-error)
>   (define-key map [follow-link] 'mouse-face)
> 
> See (elisp) `Key Binding Conventions':
> 
>   Many special major modes, like Dired, Info, Compilation,
>   and Occur, are designed to handle read-only text that
>   contains "hyper-links".
> 
>   Such a major mode should redefine 'mouse-2' and <RET> to
>                     ^^^^^^^^^^^^^^^^^^^^^^^^^
>   follow the links.  It should also set up a 'follow-link'
>                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>   condition, so that the link obeys 'mouse-1-click-follows-link'.
> 
>   *Note Clickable Text::.  *Note Buttons::, for an easy
>   method of implementing such clickable links.
> 
> Each core Emacs developer who defines a major mode with
> clickable links should be familiar with and respect this
> convention.

Thank you for the report.

It's not hard to fix, but it seems to do that we'll have to give mouse-2 
a different binding from what it has now. Which is also a breaking 
change (in Xref).

I'd like to let someone else decide whether this is worth it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at 35353 <at> debbugs.gnu.org:


Received: (at 35353) by debbugs.gnu.org; 21 Apr 2019 13:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 21 09:29:14 2019
Received: from localhost ([127.0.0.1]:47946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hICWv-0001yn-QH
	for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 09:29:14 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:54486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hICWt-0001yQ-So
 for 35353 <at> debbugs.gnu.org; Sun, 21 Apr 2019 09:29:12 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3LDSxDq195677
 for <35353 <at> debbugs.gnu.org>; Sun, 21 Apr 2019 13:29:05 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=lrkdWZ6jsKBAOV4SUSuJPRQcboQss8/CWfoNMv/SLzg=;
 b=KIENp/aM7E/iT0FE9/JTsdjGlc+YxtxLbxgiOvnAcIPueR9iLzjcJqtCsiGGQL5hYNbz
 3LOvNszVqaiIzwOaldf2zILFAorVNQiYR0L2x6C7vPz7mGuBP4vCaxEijHHeX7BpBSWV
 QpedKu71A2xssI7+6VnVzoKgiMlXUFp++qbIHExcrsjja5LVXqH+nxhCCSSCVKJNUy5t
 InbKPJMcT1YdnpDQYQ64i8Puy14n3ajMplSRdQ0BCW3dIEKDTvkuj6oAmqjHzLDMMcKD
 gPknfwMJFH5T7onhDlilApki1aMgg1J2k7EEany2k/UsJ4gEN0VtbF9yhlgtBzI5J9dw 6g== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2120.oracle.com with ESMTP id 2ryv2pu0e3-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <35353 <at> debbugs.gnu.org>; Sun, 21 Apr 2019 13:29:05 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3LDR5MN128636
 for <35353 <at> debbugs.gnu.org>; Sun, 21 Apr 2019 13:27:05 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userp3020.oracle.com with ESMTP id 2s0dwdc7ry-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <35353 <at> debbugs.gnu.org>; Sun, 21 Apr 2019 13:27:05 +0000
Received: from abhmp0004.oracle.com (abhmp0004.oracle.com [141.146.116.10])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x3LDR4Xo010917
 for <35353 <at> debbugs.gnu.org>; Sun, 21 Apr 2019 13:27:04 GMT
MIME-Version: 1.0
Message-ID: <94feda5f-7afa-4ab5-96f8-60dfaba7e0a4@default>
Date: Sun, 21 Apr 2019 13:27:03 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
To: 35353 <at> debbugs.gnu.org
Subject: RE: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major
 mode name
References: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
In-Reply-To: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9233
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=13
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=471
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904210103
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9233
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=13 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=494 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904210104
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35353
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Please respect `mouse-1-click-follows-link'.

Please contrast what, say, `compile.el' does, which is
simple and Emacs-conventional:

 (define-key map [mouse-2]     'compile-goto-error)
 (define-key map [follow-link] 'mouse-face)

See (elisp) `Key Binding Conventions':

 Many special major modes, like Dired, Info, Compilation,
 and Occur, are designed to handle read-only text that
 contains "hyper-links".

 Such a major mode should redefine 'mouse-2' and <RET> to
                   ^^^^^^^^^^^^^^^^^^^^^^^^^
 follow the links.  It should also set up a 'follow-link'
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 condition, so that the link obeys 'mouse-1-click-follows-link'.

 *Note Clickable Text::.  *Note Buttons::, for an easy
 method of implementing such clickable links.

Each core Emacs developer who defines a major mode with
clickable links should be familiar with and respect this
convention.

Before Emacs distributes a new library - and certainly
before it gives new commands keys that have long been
bound to other commands, especially commands Emacs still
offers - the new library should be vetted to ensure that
it doesn't disregard Emacs conventions.

We'll soon be in release 27.  This bug was introduced in
Emacs 25.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2019 03:07:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 20 23:07:00 2019
Received: from localhost ([127.0.0.1]:47242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hI2ol-0005FY-U0
	for submit <at> debbugs.gnu.org; Sat, 20 Apr 2019 23:07:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hI2ok-0005FM-Jv
 for submit <at> debbugs.gnu.org; Sat, 20 Apr 2019 23:06:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:42223)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1hI2of-0001TN-FC
 for submit <at> debbugs.gnu.org; Sat, 20 Apr 2019 23:06:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58955)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1hI2oc-0007ck-Ps
 for bug-gnu-emacs@HIDDEN; Sat, 20 Apr 2019 23:06:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1hI2Z0-0006Sw-SQ
 for bug-gnu-emacs@HIDDEN; Sat, 20 Apr 2019 22:50:43 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:33020)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1hI2Z0-0006RD-JE
 for bug-gnu-emacs@HIDDEN; Sat, 20 Apr 2019 22:50:42 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3L2oeah175710
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 02:50:40 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : content-type :
 content-transfer-encoding; s=corp-2018-07-02;
 bh=gBlHiA4tAEtFqQvN/zqit2yNrnmAXHnl3qAy1saytkY=;
 b=ZatKE2/Qaclx+7WwaG6qPZqBPlK3VPq1YGX+DgaS2lTJ2FIoFJy8+gAHy3UKaWKYZhkJ
 3ydmcaHWEOI0tSJrp2q64N7hfDPDR3gfnWy4A4vMYrR0yd75ypB7zNU9bwHbqaHQ+qAm
 KXyhzuwsdIsVn/6Vs8pnznpevppjaUv7nYJJ25bvB75zhChCpSx4GvMYHMJRt24QpT97
 SUeyim9eYPFlWOBaGTVDFclZ491DNuCXWjJtxOtd5NtZWLitz2WikUHRS1ZWC6W8Q7Vt
 VrK/mowtHvIGpuQVnJU4qlPyQv9ooZ9ZIIqc3PeUpT8LCpd3eOPn87XtCSpC5xcV/oyo DQ== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 2rytusj18w-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 02:50:40 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3L2oHXj126535
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 02:50:39 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3030.oracle.com with ESMTP id 2s0f0ugfmk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 02:50:39 +0000
Received: from abhmp0012.oracle.com (abhmp0012.oracle.com [141.146.116.18])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x3L2ocZK008628
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 02:50:39 GMT
MIME-Version: 1.0
Message-ID: <96cafba3-7ba2-4e87-8f9d-e53825fd1dde@default>
Date: Sat, 20 Apr 2019 19:50:38 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9233
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=1
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=983
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904210020
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9233
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=1 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904210021
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-Received-From: 156.151.31.86
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Never bothered to use Xref (`dired-do-find-regexp' etc.) until now.
I'm already surprised at what I see within the first 3 minutes.

1. I use `mouse-1-click-follows-link' =3D nil.  (I use `mouse-2', not
   `mouse-1', to follow clicked links, buttons, etc.)  But this
   setting seems to have no effect in buffer `*xref*'.

   Except by clicking on a file line (it seems), I find it impossible
   to click `mouse-1' without having Emacs follow a link; impossible
   to set point in the buffer using `mouse-1'; no way to just click
   buffer text to select its frame.  What's that all about?=20

2. I try `C-h m' or `C-h v major-mode' to find out more about what's
   going on, and I learn that the major mode is called
   `xref--xref-buffer-mode'.  Seriously?  Why?  It seems very wrong
   and unEmacsy to give a major mode an "internal" name.  Users
   examine major modes.  That's part of the usual help system for
   even casual users.

Please respect `mouse-1-click-follows-link'.  And please name the
major mode without an "internal-function" name.  Thx.


In GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
 of 2019-04-13
Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f749
Windowing system distributor `Microsoft Corp.', version 10.0.17134
Configured using:
 `configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35353; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.